;Pac-Man 8k

      processor 6502

VSYNC   =  $00
VBLANK  =  $01
WSYNC   =  $02
NUSIZ0  =  $04
NUSIZ1  =  $05
COLUP0  =  $06
COLUP1  =  $07
COLUPF  =  $08
COLUBK  =  $09
CTRLPF  =  $0A
REFP1   =  $0C
PF0     =  $0D
PF1     =  $0E
PF2     =  $0F
RESP0   =  $10
RESP1   =  $11
RESM0   =  $12
RESM1   =  $13
RESBL   =  $14
AUDC0   =  $15
AUDC1   =  $16
AUDF0   =  $17
AUDF1   =  $18
AUDV0   =  $19
AUDV1   =  $1A
GRP0    =  $1B
GRP1    =  $1C
ENAM0   =  $1D
ENAM1   =  $1E
ENABL   =  $1F
HMP0    =  $20
HMM0    =  $22
HMM1    =  $23
HMBL    =  $24
VDELP0  =  $25
VDEL01  =  $26
HMOVE   =  $2A
HMCLR   =  $2B
CXCLR   =  $2C
CXM1P   =  $31
CXP1FB  =  $33
CXPPMM  =  $37
INPT4   =  $3C
SWCHA   =  $0280
SWCHB   =  $0282
INTIM   =  $0284
TIM64T  =  $0296


ColorDots = 1 ;change to 0 if no gaps in maze wanted (but lose seperate dot color)

       ORG $1000
       RORG $D000


START1:
       LDA    $1FF9                   ;4 switch to bank 2
       NOP                            ;2
       NOP                            ;2
       NOP                            ;2

LD48E:
       LDY    $1FF9                   ;4 switch to bank 2


LD07F: STA    WSYNC                   ;3
       LDA    #$20                    ;2
       STA    NUSIZ0                  ;3
       LDX    #$00                    ;2
       TAY                            ;2
       LDA    $80                     ;3
       AND    #$08                    ;2
       BNE    LD091                   ;2
       LDX    #$09                    ;2
       NOP                            ;2
LD091: DEX                            ;2
       BPL    LD091                   ;2
       STA    RESM0                   ;3
       STY    HMM0                    ;3
       STY    NUSIZ1                  ;3
       LDX    #$01                    ;2
LD09C: LDA    #$01                    ;2
       CLC                            ;2
       ADC    $B0,X                   ;4
       LDY    #$02                    ;2
       SEC                            ;2
LD0A4: INY                            ;2
       SBC    #$0F                    ;2
       BCS    LD0A4                   ;2
       EOR    #$FF                    ;2
       SBC    #$06                    ;2
       ASL                            ;2
       ASL                            ;2
       ASL                            ;2
       ASL                            ;2
       STA    WSYNC                   ;3
LD0B3: DEY                            ;2
       BPL    LD0B3                   ;2
       STA    RESP0,X                 ;4
       STA    HMP0,X                  ;4
       DEX                            ;2
       BPL    LD09C                   ;2

;       STA    RESM1                   ;3
;       STA    HMM1                    ;3


       STA    WSYNC                   ;3
       STA    HMOVE                   ;3
       LDY    #$01                    ;2
       LDX    #$07                    ;2
LD0C5: LDA    INTIM                   ;4
       BNE    LD0C5                   ;2
       STA    WSYNC                   ;3
       STY    VBLANK                  ;3
       STA    HMCLR                   ;3
       LDA    $F0                     ;3
       STA    COLUBK                  ;3
       STY    $CA                     ;3
       DEY                            ;2
       STY    $87                     ;3
       STX    $C9                     ;3
       INX                            ;2
       LDA    #$31                    ;2
       STA    CTRLPF                  ;3
       LDA    $F1                     ;3
       STA    COLUPF                  ;3
       JSR    LD06A                   ;6
       LDY    #$FF                    ;2
       STY    PF0                     ;3
       STY    PF1                     ;3
       LDA    #$7F                    ;2
       STA    PF2                     ;3
       JMP    LD313                   ;3
LD0F4: LDA    #$00                    ;2
       CPX    $D9                     ;3
       BMI    LD103                   ;2
       LDY    $DC                     ;3
       BMI    LD103                   ;2
       LDA    ($DF),Y                 ;5
       DEY                            ;2
       STY    $DC                     ;3
LD103: STA    WSYNC                   ;3
       STA    GRP1                    ;3
       LDY    $CA                     ;3
       DEY                            ;2
       BEQ    LD176                   ;2
       LDY    $87                     ;3
       LDA.wy $88,Y                   ;4
       AND    #$0F                    ;2
       TAY                            ;2
       LDA    LDD47,Y                 ;4
       STA    $D4                     ;3
       JSR    LD06A                   ;6
       LDA    #$00                    ;2
       STA    ENAM0                   ;3
       LDY    $87                     ;3
       LDA.wy $88,Y                   ;4
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD3F,Y                 ;4
       STA    $D3                     ;3
       JSR    LD053                   ;6
       LDY    $87                     ;3
       LDA.wy $88,Y                   ;4
       BPL    LD13F                   ;2

  IF ColorDots
       LDA    #$40                    ;2
  ELSE
       LDA    #$50                    ;2
  ENDIF
       BNE    LD141                   ;2

  IF ColorDots
LD13F: LDA    #$00                    ;2
  ELSE
LD13F: LDA    #$10                    ;2
  ENDIF

LD141: STA    $D2                     ;3
       LDA.wy $8C,Y                   ;4
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD63,Y                 ;4
       STA    $D7                     ;3
       JSR    LD06A                   ;6
       LDY    $87                     ;3
       LDA.wy $8C,Y                   ;4
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       STA    $D5                     ;3
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD5B,Y                 ;4
       STA    $D6                     ;3
       JSR    LD053                   ;6
       LDA    $D5                     ;3
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       AND    #$03                    ;2
       TAY                            ;2
       LDA    LDD57,Y                 ;4
       STA    $D5                     ;3
       JMP    LD1F4                   ;3
LD176: LDY    $87                     ;3
       LDA.wy $90,Y                   ;4
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD7B,Y                 ;4
       STA    $D4                     ;3
       JSR    LD06A                   ;6
       LDA    #$00                    ;2
       STA    ENAM0                   ;3
       LDA    $E1                     ;3
       STA    ENABL                   ;3
       LDY    $87                     ;3
       LDA.wy $90,Y                   ;4
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       AND    #$0F                    ;2
       TAY                            ;2
       LDA    LDD6B,Y                 ;4
       STA    $D3                     ;3
       JSR    LD053                   ;6
       LDY    $87                     ;3
       LDA.wy $90,Y                   ;4
       BPL    LD1AC                   ;2

  IF ColorDots
       LDA    #$40                    ;2
  ELSE
       LDA    #$50                    ;2
  ENDIF

       BNE    LD1AE                   ;2

  IF ColorDots
LD1AC: LDA    #$00                    ;2
  ELSE
LD1AC: LDA    #$10                    ;2
  ENDIF

LD1AE: STA    $D2                     ;3
       LDA.wy $94,Y                   ;4
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD63,Y                 ;4
       STA    $D7                     ;3
       JSR    LD06A                   ;6
       LDY    $87                     ;3
       LDA.wy $94,Y                   ;4
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       STA    $D5                     ;3
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LDD83,Y                 ;4
       STA    $D6                     ;3
       JSR    LD053                   ;6
       LDA    $E1                     ;3
       STA    ENAM1                   ;3
       LDA    $D5                     ;3
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       TAY                            ;2
       LDA    LDD47,Y                 ;4
       STA    $D5                     ;3
       JMP    LD1F4                   ;3
LD1E5: LDA    $D6                     ;3
       STA    PF1                     ;3
       NOP                            ;2
       NOP                            ;2
LD1EB: LDA    $D7                     ;3
       STA    PF2                     ;3
       LDA    #$00                    ;2
       JMP    LD246                   ;3
LD1F4: JSR    LD06A                   ;6
       LDA    $C9                     ;3
       CMP    #$04                    ;2
       BNE    LD209                   ;2

;box pixels
  IF ColorDots
       LDA    #$00                    ;2
  ELSE
       LDA    #$40                    ;2
  ENDIF

       ORA    $D4                     ;3
       STA    $D4                     ;3

  IF ColorDots
       LDA    #$00                    ;2
  ELSE
       LDA    #$20                    ;2
  ENDIF

       ORA    $D5                     ;3
       STA    $D5                     ;3
LD209: LDA    #$00                    ;2
       CPX    $D9                     ;3
       BMI    LD218                   ;2
       LDY    $DC                     ;3
       BMI    LD218                   ;2
       LDA    ($DF),Y                 ;5
       DEY                            ;2
       STY    $DC                     ;3
LD218: STA    WSYNC                   ;3
;top line of dots
       STA    GRP1                    ;3

  IF ColorDots
       LDA    #$0E                    ;2
       STA    COLUPF                  ;3
  ENDIF

       LDA    $D2                     ;3
       STA    PF0                     ;3
       LDY    #$30                    ;2
       STY    CTRLPF                  ;3
       LDA    $D3                     ;3
       STA    PF1                     ;3
       LDA    $D4                     ;3
       STA    PF2                     ;3
       INX                            ;2
       LDA    $D5                     ;3
       STA    PF0                     ;3
       CPX    $D8                     ;3
       BMI    LD1E5                   ;2
       LDA    $D6                     ;3
       STA    PF1                     ;3
       LDY    $DB                     ;3
       BMI    LD1EB                   ;2
       LDA    $D7                     ;3
       STA    PF2                     ;3
       LDA    ($DD),Y                 ;5
       DEY                            ;2
       STY    $DB                     ;3
LD246: STA    WSYNC                   ;3
;bottom line of dots
       STA    GRP0                    ;3

  IF ColorDots
       LDA    #$0E                    ;2
       STA    COLUPF                  ;3
  ENDIF

       LDA    $D2                     ;3
       STA    PF0                     ;3
       LDA    $D3                     ;3
       STA    PF1                     ;3
       LDA    $D4                     ;3
       STA    PF2                     ;3
       NOP                            ;2
       NOP                            ;2
       LDA    $D5                     ;3
       STA    PF0                     ;3
       CPX    $D9                     ;3
       BMI    LD278                   ;2
       LDA    $D6                     ;3
       STA    PF1                     ;3
       LDY    $DC                     ;3
       BMI    LD27E                   ;2
       LDA    $D7                     ;3
       STA    PF2                     ;3
       LDA    ($DF),Y                 ;5
       DEY                            ;2
       STY    $DC                     ;3
LD271:
       LDY    $CA                     ;3
       STA    WSYNC                   ;3
       STA    GRP1                    ;3
       LDA    $F1                     ;3
       STA    COLUPF                  ;3
       LDA    LDE0A,Y                 ;4
       STA    PF0                     ;3
       LDA    LDE0C,Y                 ;4
       STA    PF1                     ;3
       LDA    #$31                    ;2
       STA    CTRLPF                  ;3
       LDA    $E3                     ;3
       STA    PF2                     ;3
       LDA    $C9                     ;3
       CLC                            ;2
       ADC    #$FF                    ;2
       BPL    LD2A5                   ;2
       JMP    LD360                   ;3

LD278: LDA    $D6                     ;3
       STA    PF1                     ;3
       NOP                            ;2
       NOP                            ;2

LD27E: LDA    $D7                     ;3
       STA    PF2                     ;3
       LDA    #$00                    ;2
       JMP    LD271                   ;3

LD2A5: STA    $C9                     ;3
       LDA    #$00                    ;2
       INX                            ;2
       CPX    $D8                     ;3
       BMI    LD2B7                   ;2
       LDY    $DB                     ;3
       BMI    LD2B7                   ;2
       LDA    ($DD),Y                 ;5
       DEY                            ;2
       STY    $DB                     ;3
LD2B7: STA    WSYNC                   ;3
       STA    GRP0                    ;3
       LDY    #$00                    ;2
       STY    ENAM1                   ;3
       STY    $E2                     ;3
       LDA    $C9                     ;3
       TAY                            ;2
       AND    #$01                    ;2
       STA    $CA                     ;3
       INY                            ;2
       TYA                            ;2
       LSR                            ;2
       STA    $87                     ;3
       JSR    LD067                   ;6
       LDY    #$01                    ;2
       LDA    $80                     ;3
       AND    #$08                    ;2
       BNE    LD2DA                   ;2
       LDY    #$03                    ;2
LD2DA: LDA    $C9                     ;3
       BEQ    LD2E3                   ;2
       CMP    #$06                    ;2
       BNE    LD2EE                   ;2
       DEY                            ;2
LD2E3: LDA    $9A                     ;3
       AND    LDE6C,Y                 ;4
       BEQ    LD2EE                   ;2
       LDA    #$02                    ;2
       STA    $E2                     ;3
LD2EE: JSR    LD053                   ;6
       LDA    #$00                    ;2
       STA    ENABL                   ;3
       JSR    LD06A                   ;6
       LDA    $E2                     ;3
       STA    ENAM0                   ;3
       JSR    LD053                   ;6
       JSR    LD06A                   ;6
       LDY    $CA                     ;3
       LDA    LDF41,Y                 ;4
       STA    PF0                     ;3
       LDA    LDE0F,Y                 ;4
       STA    PF1                     ;3
       LDA    LDE11,Y                 ;4
       STA    PF2                     ;3
LD313: JSR    LD053                   ;6
       LDA    $E7                     ;3
       LDY    $C9                     ;3
       CPY    #$03                    ;2
       BEQ    LD320                   ;2
       LDA    #$00                    ;2
LD320: STA    $E1                     ;3
       JSR    LD06A                   ;6
       LDY    $CA                     ;3
       LDA    LDE0D,Y                 ;4
       LDY    $C9                     ;3
       CPY    #$04                    ;2
       BNE    LD332                   ;2
       LDA    #$40                    ;2
LD332: STA    $E3                     ;3
       JSR    LD053                   ;6
       LDA    #$00                    ;2
       INX                            ;2
       CPX    $D8                     ;3
       BMI    LD347                   ;2
       LDY    $DB                     ;3
       BMI    LD347                   ;2
       LDA    ($DD),Y                 ;5
       DEY                            ;2
       STY    $DB                     ;3
LD347: STA    WSYNC                   ;3
       STA    GRP0                    ;3
       LDY    $CA                     ;3
       STA    GRP0                    ;3
       LDA    LDE0A,Y                 ;4
       STA    PF0                     ;3
       LDA    LDE0C,Y                 ;4
       STA    PF1                     ;3
       LDA    $E3                     ;3
       STA    PF2                     ;3
       JMP    LD0F4                   ;3
LD360: LDA    #$00                    ;2
       INX                            ;2
       CPX    $D8                     ;3
       BMI    LD370                   ;2
       LDY    $DB                     ;3
       BMI    LD370                   ;2
       LDA    ($DD),Y                 ;5
       DEY                            ;2
       STY    $DB                     ;3

;       STA    HMM1                    ;3
;       STA    ENAM1                   ;3
;       STA    RESM1                   ;3

LD370: STA    WSYNC                   ;3
       STA    GRP0                    ;3
       JSR    LD067                   ;6
       JSR    LD067                   ;6
       JSR    LD067                   ;6
       LDA    #$FF                    ;2
       STA    PF0                     ;3
       STA    PF1                     ;3
       LDA    #$7F                    ;2
       STA    PF2                     ;3
       LDA    #$4C                    ;2
       STA    TIM64T                  ;4
       JSR    LD053                   ;6
       JSR    LD06A                   ;6
       JSR    LD053                   ;6
       LDA    #$03                    ;2
       LDY    #$00                    ;2
       STA    WSYNC                   ;3
       STY    PF0                     ;3
       STY    PF1                     ;3
       STY    PF2                     ;3
       STY    REFP1                   ;3
       STA    NUSIZ0                  ;3
       STA    NUSIZ1                  ;3
       STA    VDELP0                  ;3
       STA    VDEL01                  ;3
       JSR    LD483                   ;6
       LDA    $82                     ;3
       STA    COLUP1                  ;3
       STA    COLUP0                  ;3
       LDX    #$07                    ;2
       STA    WSYNC                   ;3
LD3B8: DEX                            ;2
       BNE    LD3B8                   ;2
       NOP                            ;2
       STA    RESP0                   ;3
       STA    RESP1                   ;3
       LDA    #$F0                    ;2
       STA    HMP0                    ;3
       STA    WSYNC                   ;3
       STA    HMOVE                   ;3
       STX    COLUBK                  ;3
       LDY    #$04                    ;2
       LDA    $F5                     ;3
       STA    $D2                     ;3
       JSR    LD3EE                   ;6
       LDA    $E6                     ;3
       ASL                            ;2
       BPL    LD3E1                   ;2
       LDY    #$05                    ;2
       LDA    $F4                     ;3
       STA    $D2                     ;3
       JSR    LD3EE                   ;6
LD3E1: LDA    #$00                    ;2
       STA    VDELP0                  ;3
       STA    VDEL01                  ;3
       STA    NUSIZ0                  ;3
       STA    NUSIZ1                  ;3
       JMP    LD48E                   ;3 <- exit (switch banks)

LD3EE: LDX    #$08                    ;2
       LDA    #$00                    ;2
       STA    $E1                     ;3
       BEQ    LD422                   ;2
LD3F6: LDA.wy $CC,Y                   ;4
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       TAX                            ;2
       BEQ    LD402                   ;2
       INC    $E1                     ;5
LD402: LDA    $E1                     ;3
       BNE    LD408                   ;2
       LDX    #$0A                    ;2
LD408: LDA    LDEF6,X                 ;4
       LDX    $E2                     ;3
       STA    $D5,X                   ;4
       DEX                            ;2
       DEX                            ;2
       CPX    #$04                    ;2
       BNE    LD419                   ;2
       LDA    #$00                    ;2
       BEQ    LD41E                   ;2
LD419: TXA                            ;2
       BNE    LD422                   ;2
       LDA    $D2                     ;3
LD41E: STA    WSYNC                   ;3
       STA    COLUBK                  ;3
LD422: STX    $E2                     ;3
       LDA.wy $CC,Y                   ;4
       AND    #$0F                    ;2
       TAX                            ;2
       BEQ    LD42E                   ;2
       INC    $E1                     ;5
LD42E: LDA    $E1                     ;3
       BNE    LD434                   ;2
       LDX    #$0A                    ;2
LD434: LDA    LDEF6,X                 ;4
       LDX    $E2                     ;3
       STA    $D5,X                   ;4
       DEX                            ;2
       DEX                            ;2
       STX    $E2                     ;3
       DEY                            ;2
       DEY                            ;2
       BPL    LD3F6                   ;2
       LDA    $E1                     ;3
       BNE    LD44B                   ;2
       LDA    #<Digit0gfx             ;2
       STA    $D5                     ;3
LD44B: LDA    #>DGFX                  ;2
       LDX    #$09                    ;2
LD44F: STA    $D5,X                   ;4
       DEX                            ;2
       DEX                            ;2
       BPL    LD44F                   ;2
       LDA    #$06                    ;2
       STA    $E1                     ;3
LD459: LDY    $E1                     ;3
       LDA    #$00                    ;2
       STA    GRP0                    ;3
       STA    GRP0                    ;3
       STA    WSYNC                   ;3
       LDA    ($DD),Y                 ;5
       STA    GRP1                    ;3
       LDA    ($DB),Y                 ;5
       STA    GRP0                    ;3
       LDA    ($D9),Y                 ;5
       STA    $E2                     ;3
       LDA    ($D7),Y                 ;5
       TAX                            ;2
       LDA    ($D5),Y                 ;5
       TAY                            ;2
       LDA    $E2                     ;3
       STA    GRP1                    ;3
       STX    GRP0                    ;3
       STY    GRP1                    ;3
       STY    GRP0                    ;3
       DEC    $E1                     ;5
       BPL    LD459                   ;2
LD483: LDA    #$00                    ;2
       STA    GRP0                    ;3
       STA    GRP1                    ;3
       STA    GRP0                    ;3
       STA    GRP1                    ;3
       RTS                            ;6

LD053: LDA    #$00                    ;2
       CPX    $D9                     ;3
       BMI    LD062                   ;2
       LDY    $DC                     ;3
       BMI    LD062                   ;2
       LDA    ($DF),Y                 ;5
       DEY                            ;2
       STY    $DC                     ;3
LD062: STA    WSYNC                   ;3
       STA    GRP1                    ;3
       RTS                            ;6

LD067: JSR    LD053                   ;6
LD06A: LDA    #$00                    ;2
       INX                            ;2
       CPX    $D8                     ;3
       BMI    LD07A                   ;2
       LDY    $DB                     ;3
       BMI    LD07A                   ;2
       LDA    ($DD),Y                 ;5
       DEY                            ;2
       STY    $DB                     ;3
LD07A: STA    WSYNC                   ;3
       STA    GRP0                    ;3
       RTS                            ;6











       ORG $1C3F
       RORG $DC3F

  IF ColorDots
;section 2
LDD3F: .byte $00 ; |    X   | $FD3F
       .byte $02 ; |    X X | $FD40
       .byte $20 ; |  X X   | $FD41
       .byte $22 ; |  X X X | $FD42
       .byte $80 ; |X   X   | $FD43
       .byte $82 ; |X   X X | $FD44
       .byte $A0 ; |X X X   | $FD45
       .byte $A2 ; |X X X X | $FD46

LDD47: .byte $00 ; |        | $FD47
       .byte $40 ; | X      | $FD48
       .byte $10 ; |   X    | $FD49
       .byte $50 ; | X X    | $FD4A
       .byte $04 ; |     X  | $FD4B
       .byte $44 ; | X   X  | $FD4C
       .byte $14 ; |   X X  | $FD4D
       .byte $54 ; | X X X  | $FD4E
       .byte $01 ; |       X| $FD4F
       .byte $41 ; | X     X| $FD50
       .byte $11 ; |   X   X| $FD51
       .byte $51 ; | X X   X| $FD52
       .byte $05 ; |     X X| $FD53
       .byte $45 ; | X   X X| $FD54
       .byte $15 ; |   X X X| $FD55
       .byte $55 ; | X X X X| $FD56

LDD57: .byte $00 ; |        | $FD57
       .byte $80 ; |X       | $FD58
       .byte $20 ; |  X     | $FD59
       .byte $A0 ; |X X     | $FD5A

;section 5
LDD5B: .byte $00 ; |       X| $FD5B
       .byte $04 ; |     X X| $FD5C
       .byte $10 ; |   X   X| $FD5D
       .byte $14 ; |   X X X| $FD5E
       .byte $40 ; | X     X| $FD5F
       .byte $44 ; | X   X X| $FD60
       .byte $50 ; | X X   X| $FD61
       .byte $54 ; | X X X X| $FD62

;section 6
LDD63: .byte $00 ; |X       | $FD63
       .byte $20 ; |X X     | $FD64
       .byte $08 ; |X   X   | $FD65
       .byte $28 ; |X X X   | $FD66
       .byte $02 ; |X     X | $FD67
       .byte $22 ; |X X   X | $FD68
       .byte $0A ; |X   X X | $FD69
       .byte $2A ; |X X X X | $FD6A

LDD6B: .byte $00 ; |        | $FD6B
       .byte $02 ; |      X | $FD6C
       .byte $08 ; |    X   | $FD6D
       .byte $0A ; |    X X | $FD6E
       .byte $20 ; |  X     | $FD6F
       .byte $22 ; |  X   X | $FD70
       .byte $28 ; |  X X   | $FD71
       .byte $2A ; |  X X X | $FD72
       .byte $80 ; |X       | $FD73
       .byte $82 ; |X     X | $FD74
       .byte $88 ; |X   X   | $FD75
       .byte $8A ; |X   X X | $FD76
       .byte $A0 ; |X X     | $FD77
       .byte $A2 ; |X X   X | $FD78
       .byte $A8 ; |X X X   | $FD79
       .byte $AA ; |X X X X | $FD7A

;section 3
LDD7B: .byte $00 ; |    X   | $FD7B
       .byte $80 ; |X   X   | $FD7C
       .byte $20 ; |  X X   | $FD7D
       .byte $A0 ; |X X X   | $FD7E
       .byte $01 ; |    X  X| $FD7F
       .byte $81 ; |X   X  X| $FD80
       .byte $21 ; |  X X  X| $FD81
       .byte $A1 ; |X X X  X| $FD82

;section 4
LDD83: .byte $00 ; |X       | $FD83
       .byte $01 ; |X      X| $FD84
       .byte $04 ; |X    X  | $FD85
       .byte $05 ; |X    X X| $FD86
       .byte $10 ; |X  X    | $FD87
       .byte $11 ; |X  X   X| $FD88
       .byte $14 ; |X  X X  | $FD89
       .byte $15 ; |X  X X X| $FD8A

  ELSE

;section 2
LDD3F: .byte $08 ; |    X   | $FD3F
       .byte $0A ; |    X X | $FD40
       .byte $28 ; |  X X   | $FD41
       .byte $2A ; |  X X X | $FD42
       .byte $88 ; |X   X   | $FD43
       .byte $8A ; |X   X X | $FD44
       .byte $A8 ; |X X X   | $FD45
       .byte $AA ; |X X X X | $FD46

LDD47: .byte $00 ; |        | $FD47
       .byte $40 ; | X      | $FD48
       .byte $10 ; |   X    | $FD49
       .byte $50 ; | X X    | $FD4A
       .byte $04 ; |     X  | $FD4B
       .byte $44 ; | X   X  | $FD4C
       .byte $14 ; |   X X  | $FD4D
       .byte $54 ; | X X X  | $FD4E
       .byte $01 ; |       X| $FD4F
       .byte $41 ; | X     X| $FD50
       .byte $11 ; |   X   X| $FD51
       .byte $51 ; | X X   X| $FD52
       .byte $05 ; |     X X| $FD53
       .byte $45 ; | X   X X| $FD54
       .byte $15 ; |   X X X| $FD55
       .byte $55 ; | X X X X| $FD56

LDD57: .byte $00 ; |        | $FD57
       .byte $80 ; |X       | $FD58
       .byte $20 ; |  X     | $FD59
       .byte $A0 ; |X X     | $FD5A

;section 5
LDD5B: .byte $01 ; |       X| $FD5B
       .byte $05 ; |     X X| $FD5C
       .byte $11 ; |   X   X| $FD5D
       .byte $15 ; |   X X X| $FD5E
       .byte $41 ; | X     X| $FD5F
       .byte $45 ; | X   X X| $FD60
       .byte $51 ; | X X   X| $FD61
       .byte $55 ; | X X X X| $FD62

;section 6
LDD63: .byte $80 ; |X       | $FD63
       .byte $A0 ; |X X     | $FD64
       .byte $88 ; |X   X   | $FD65
       .byte $A8 ; |X X X   | $FD66
       .byte $82 ; |X     X | $FD67
       .byte $A2 ; |X X   X | $FD68
       .byte $8A ; |X   X X | $FD69
       .byte $AA ; |X X X X | $FD6A

LDD6B: .byte $00 ; |        | $FD6B
       .byte $02 ; |      X | $FD6C
       .byte $08 ; |    X   | $FD6D
       .byte $0A ; |    X X | $FD6E
       .byte $20 ; |  X     | $FD6F
       .byte $22 ; |  X   X | $FD70
       .byte $28 ; |  X X   | $FD71
       .byte $2A ; |  X X X | $FD72
       .byte $80 ; |X       | $FD73
       .byte $82 ; |X     X | $FD74
       .byte $88 ; |X   X   | $FD75
       .byte $8A ; |X   X X | $FD76
       .byte $A0 ; |X X     | $FD77
       .byte $A2 ; |X X   X | $FD78
       .byte $A8 ; |X X X   | $FD79
       .byte $AA ; |X X X X | $FD7A

;section 3
LDD7B: .byte $08 ; |    X   | $FD7B
       .byte $88 ; |X   X   | $FD7C
       .byte $28 ; |  X X   | $FD7D
       .byte $A8 ; |X X X   | $FD7E
       .byte $09 ; |    X  X| $FD7F
       .byte $89 ; |X   X  X| $FD80
       .byte $29 ; |  X X  X| $FD81
       .byte $A9 ; |X X X  X| $FD82

;section 4
LDD83: .byte $80 ; |X       | $FD83
       .byte $81 ; |X      X| $FD84
       .byte $84 ; |X    X  | $FD85
       .byte $85 ; |X    X X| $FD86
       .byte $90 ; |X  X    | $FD87
       .byte $91 ; |X  X   X| $FD88
       .byte $94 ; |X  X X  | $FD89
       .byte $95 ; |X  X X X| $FD8A

  ENDIF

       ORG $1D00
       RORG $DD00

       .byte $00 ; |        | $FD00
       .byte $00 ; |        | $FD01
       .byte $00 ; |        | $FD02
       .byte $E7 ; |XXX  XXX| $FD03
       .byte $C6 ; |XX   XX | $FD04
       .byte $E7 ; |XXX  XXX| $FD05
       .byte $00 ; |        | $FD06
       .byte $00 ; |        | $FD07

PGFX:
RPac1gfx:
       .byte $38 ; |  XXX   | $FDAF
       .byte $7C ; | XXXXX  | $FDB0
       .byte $FE ; |XXXXXXX | $FDB1
       .byte $FE ; |XXXXXXX | $FDB2
       .byte $FE ; |XXXXXXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDAF

RPac2gfx:
       .byte $38 ; |  XXX   | $FDB5
       .byte $7C ; | XXXXX  | $FDB6
       .byte $FE ; |XXXXXXX | $FDB7
       .byte $F8 ; |XXXXX   | $FDB8
       .byte $FE ; |XXXXXXX | $FDB9
       .byte $7C ; | XXXXX  | $FDBA
       .byte $38 ; |  XXX   | $FDAF

RPac3gfx:
       .byte $38 ; |  XXX   | $FDB5
       .byte $7C ; | XXXXX  | $FDB6
       .byte $FE ; |XXXXXXX | $FDB7
       .byte $E0 ; |XXX     | $FDB8
       .byte $FE ; |XXXXXXX | $FDB9
       .byte $7C ; | XXXXX  | $FDBA
       .byte $38 ; |  XXX   | $FDAF

RPac4gfx:
       .byte $38 ; |  XXX   | $FDBB
       .byte $7C ; | XXXXX  | $FDBC
       .byte $F0 ; |XXXX    | $FDBD
       .byte $E0 ; |XXX     | $FDBE
       .byte $F0 ; |XXXX    | $FDBF
       .byte $7C ; | XXXXX  | $FDC0
       .byte $38 ; |  XXX   | $FDCE

RPac5gfx:
       .byte $3C ; |  XXXX  | $FDBB
       .byte $78 ; | XXXX   | $FDBC
       .byte $E0 ; |XXX     | $FDBD
       .byte $C0 ; |XX      | $FDBE
       .byte $E0 ; |XXX     | $FDBF
       .byte $78 ; | XXXX   | $FDC0
       .byte $3C ; |  XXXX  | $FDCE

Death4gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $FE ; |XXXXXXX | $FDD1
       .byte $EE ; |XXX XXX | $FDD2
       .byte $C6 ; |XX   XX | $FDD3
       .byte $44 ; | X   X  | $FDD4
Death6gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $EE ; |XXX XXX | $FDD1
       .byte $C6 ; |XX   XX | $FDD2
       .byte $82 ; |X     X | $FDD3
       .byte $00 ; |        | $FDD4

       ORG $1D40
       RORG $DD40

       .byte $00 ; |        | $FDC7
       .byte $00 ; |        | $FDC8
       .byte $00 ; |        | $FDC9
       .byte $E7 ; |XXX  XXX| $FDCA
       .byte $63 ; | XX   XX| $FDCB
       .byte $E7 ; |XXX  XXX| $FDCC
       .byte $00 ; |        | $FDCD
       .byte $00 ; |        | $FDC6

       .byte $38 ; |  XXX   | $FDAF
       .byte $7C ; | XXXXX  | $FDB0
       .byte $FE ; |XXXXXXX | $FDB1
       .byte $FE ; |XXXXXXX | $FDB2
       .byte $FE ; |XXXXXXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDAF

       .byte $38 ; |  XXX   | $FDB5
       .byte $7C ; | XXXXX  | $FDB6
       .byte $FE ; |XXXXXXX | $FDB7
       .byte $F8 ; |XXXXX   | $FDB8
       .byte $FE ; |XXXXXXX | $FDB9
       .byte $7C ; | XXXXX  | $FDBA
       .byte $38 ; |  XXX   | $FDAF

       .byte $38 ; |  XXX   | $FDB5
       .byte $7C ; | XXXXX  | $FDB6
       .byte $FE ; |XXXXXXX | $FDB7
       .byte $E0 ; |XXX     | $FDB8
       .byte $FE ; |XXXXXXX | $FDB9
       .byte $7C ; | XXXXX  | $FDBA
       .byte $38 ; |  XXX   | $FDAF

       .byte $38 ; |  XXX   | $FDBB
       .byte $7C ; | XXXXX  | $FDBC
       .byte $F0 ; |XXXX    | $FDBD
       .byte $E0 ; |XXX     | $FDBE
       .byte $F0 ; |XXXX    | $FDBF
       .byte $7C ; | XXXXX  | $FDC0
       .byte $38 ; |  XXX   | $FDCE

       .byte $3C ; |  XXXX  | $FDBB
       .byte $78 ; | XXXX   | $FDBC
       .byte $E0 ; |XXX     | $FDBD
       .byte $C0 ; |XX      | $FDBE
       .byte $E0 ; |XXX     | $FDBF
       .byte $78 ; | XXXX   | $FDC0
       .byte $3C ; |  XXXX  | $FDCE




Death8gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $C6 ; |XX   XX | $FDD0
       .byte $82 ; |X     X | $FDD1
       .byte $00 ; |        | $FDD2
       .byte $00 ; |        | $FDD3
       .byte $00 ; |        | $FDD4
Death9gfx:
       .byte $10 ; |   X    | $FDCE
       .byte $38 ; |  XXX   | $FDCF
       .byte $44 ; | X   X  | $FDD0
       .byte $00 ; |        | $FDD1
       .byte $00 ; |        | $FDD2
       .byte $00 ; |        | $FDD3
       .byte $00 ; |        | $FDD3


       ORG $1D80
       RORG $DD80

       .byte $00 ; |        | $FDC7
       .byte $00 ; |        | $FDC8
       .byte $00 ; |        | $FDC9
       .byte $A5 ; |X X  X X| $FDCA
       .byte $E7 ; |XXX  XXX| $FDCB
       .byte $E7 ; |XXX  XXX| $FDCC
       .byte $00 ; |        | $FDCD
       .byte $00 ; |        | $FDC6

       .byte $38 ; |  XXX   | $FDAF
       .byte $7C ; | XXXXX  | $FDB0
       .byte $FE ; |XXXXXXX | $FDB1
       .byte $FE ; |XXXXXXX | $FDB2
       .byte $FE ; |XXXXXXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

       .byte $28 ; |  X X   | $FDD4
       .byte $6C ; | XX XX  | $FDD3
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $FE ; |XXXXXXX | $FDD1
       .byte $FE ; |XXXXXXX | $FDD2
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

       .byte $28 ; |  X X   | $FDD4
       .byte $6C ; | XX XX  | $FDD3
       .byte $EE ; |XXX XXX | $FDD1
       .byte $EE ; |XXX XXX | $FDD2
       .byte $FE ; |XXXXXXX | $FDD2
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

       .byte $44 ; | X   X  | $FDD4
       .byte $C6 ; |XX   XX | $FDD3
       .byte $EE ; |XXX XXX | $FDD1
       .byte $EE ; |XXX XXX | $FDD2
       .byte $FE ; |XXXXXXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

       .byte $00 ; |        | $FDD4
       .byte $82 ; |X     X | $FDD3
       .byte $82 ; |X     X | $FDD1
       .byte $C6 ; |XX   XX | $FDD2
       .byte $EE ; |XXX XXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

Death10gfx:
       .byte $00 ; |        | $FDCE
       .byte $38 ; |  XXX   | $FDCF
Death11gfx:
       .byte $00 ; |        | $FDE8
       .byte $00 ; |        | $FDE9
       .byte $00 ; |        | $FDEA
       .byte $00 ; |        | $FDEB
       .byte $00 ; |        | $FDEC
Death12gfx:
       .byte $00 ; |        | $FDE8
       .byte $00 ; |        | $FDE9
       .byte $28 ; |  X X   | $FDEA
       .byte $10 ; |   X    | $FDEB
       .byte $28 ; |  X X   | $FDEC
       .byte $00 ; |        | $FDED
       .byte $00 ; |        | $FDD3


       ORG $1DC0
       RORG $DDC0

       .byte $00 ; |        | $FDC7
       .byte $00 ; |        | $FDC8
       .byte $00 ; |        | $FDC9
       .byte $E7 ; |XXX  XXX| $FDCC
       .byte $E7 ; |XXX  XXX| $FDCA
       .byte $A5 ; |X X  X X| $FDCB
       .byte $00 ; |        | $FDCD
       .byte $00 ; |        | $FDC6

Death1gfx:
       .byte $38 ; |  XXX   | $FDAF
       .byte $7C ; | XXXXX  | $FDB0
       .byte $FE ; |XXXXXXX | $FDB1
       .byte $FE ; |XXXXXXX | $FDB2
       .byte $FE ; |XXXXXXX | $FDB3
       .byte $7C ; | XXXXX  | $FDB4
       .byte $38 ; |  XXX   | $FDCE

Death2gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $FE ; |XXXXXXX | $FDD1
       .byte $FE ; |XXXXXXX | $FDD2
       .byte $6C ; | XX XX  | $FDD3
       .byte $28 ; |  X X   | $FDD4

Death3gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $EE ; |XXX XXX | $FDD1
       .byte $EE ; |XXX XXX | $FDD2
       .byte $6C ; | XX XX  | $FDD3
       .byte $28 ; |  X X   | $FDD4

Death5gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $FE ; |XXXXXXX | $FDD0
       .byte $EE ; |XXX XXX | $FDD1
       .byte $EE ; |XXX XXX | $FDD2
       .byte $C6 ; |XX   XX | $FDD3
       .byte $44 ; | X   X  | $FDD4
Death7gfx:
       .byte $38 ; |  XXX   | $FDCE
       .byte $7C ; | XXXXX  | $FDCF
       .byte $EE ; |XXX XXX | $FDB3
       .byte $C6 ; |XX   XX | $FDD2
       .byte $82 ; |X     X | $FDD3
       .byte $82 ; |X     X | $FDD1
       .byte $00 ; |        | $FDD4



Death13gfx:
       .byte $00 ; |        | $FDEE
       .byte $44 ; | X   X  | $FDEF
       .byte $28 ; |  X X   | $FDF0
       .byte $00 ; |        | $FDF1
       .byte $28 ; |  X X   | $FDF2
       .byte $44 ; | X   X  | $FDF3
       .byte $00 ; |        | $FDF4
Death14gfx:
       .byte $44 ; | X   X  | $FDF3
       .byte $00 ; |        | $FDF4
       .byte $82 ; |X     X | $FDF5
       .byte $00 ; |        | $FDF6
       .byte $82 ; |X     X | $FDF7
       .byte $00 ; |        | $FDF8
       .byte $44 ; | X   X  | $FDF9


       ORG $1E00
       RORG $DE00

MGFX:
Monster1gfx:
       .byte $88 ; |X   X   | $FD08
       .byte $DD ; |XX XXX X| $FD09
       .byte $FF ; |XXXXXXXX| $FD0A
       .byte $99 ; |X  XX  X| $FD0B
       .byte $BB ; |X XXX XX| $FD0C
       .byte $99 ; |X  XX  X| $FD0D
       .byte $7E ; | XXXXXX | $FD0E
       .byte $3C ; |  XXXX  | $FD0F

Monster2gfx:
       .byte $44 ; | X   X  | $FD10
       .byte $EE ; |XXX XXX | $FD11
       .byte $FF ; |XXXXXXXX| $FD12
       .byte $99 ; |X  XX  X| $FD13
       .byte $BB ; |X XXX XX| $FD14
       .byte $99 ; |X  XX  X| $FD15
       .byte $7E ; | XXXXXX | $FD16
       .byte $3C ; |  XXXX  | $FD17

Monster3gfx:
       .byte $22 ; |  X   X | $FD18
       .byte $77 ; | XXX XXX| $FD19
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $99 ; |X  XX  X| $FD1B
       .byte $BB ; |X XXX XX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

Monster4gfx:
       .byte $11 ; |   X   X| $FD20
       .byte $BB ; |X XXX XX| $FD21
       .byte $FF ; |XXXXXXXX| $FD22
       .byte $99 ; |X  XX  X| $FD23
       .byte $BB ; |X XXX XX| $FD24
       .byte $99 ; |X  XX  X| $FD25
       .byte $7E ; | XXXXXX | $FD26
       .byte $3C ; |  XXXX  | $FD27

       .byte $88 ; |X   X   | $FD08
       .byte $DD ; |XX XXX X| $FD09
       .byte $FF ; |XXXXXXXX| $FD0A
       .byte $E7 ; |XXX  XXX| $FD0B
       .byte $FF ; |XXXXXXXX| $FD0C
       .byte $99 ; |X  XX  X| $FD0D
       .byte $7E ; | XXXXXX | $FD0E
       .byte $3C ; |  XXXX  | $FD0F

       .byte $44 ; | X   X  | $FD10
       .byte $EE ; |XXX XXX | $FD11
       .byte $FF ; |XXXXXXXX| $FD12
       .byte $E7 ; |XXX  XXX| $FD13
       .byte $FF ; |XXXXXXXX| $FD14
       .byte $99 ; |X  XX  X| $FD15
       .byte $7E ; | XXXXXX | $FD16
       .byte $3C ; |  XXXX  | $FD17

       .byte $22 ; |  X   X | $FD18
       .byte $77 ; | XXX XXX| $FD19
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       .byte $11 ; |   X   X| $FD20
       .byte $BB ; |X XXX XX| $FD21
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       ORG $1E40
       RORG $DE40

       .byte $88 ; |X   X   | $FD8B
       .byte $DD ; |XX XXX X| $FD8C
       .byte $FF ; |XXXXXXXX| $FD8D
       .byte $99 ; |X  XX  X| $FDA6
       .byte $DD ; |XX XXX X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FD91
       .byte $3C ; |  XXXX  | $FD92

       .byte $44 ; | X   X  | $FD93
       .byte $EE ; |XXX XXX | $FD94
       .byte $FF ; |XXXXXXXX| $FD95
       .byte $99 ; |X  XX  X| $FDA6
       .byte $DD ; |XX XXX X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FD99
       .byte $3C ; |  XXXX  | $FD9A

       .byte $22 ; |  X   X | $FD9B
       .byte $77 ; | XXX XXX| $FD9C
       .byte $FF ; |XXXXXXXX| $FD9D
       .byte $99 ; |X  XX  X| $FDA6
       .byte $DD ; |XX XXX X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FDA1
       .byte $3C ; |  XXXX  | $FDA2

       .byte $11 ; |   X   X| $FDA3
       .byte $BB ; |X XXX XX| $FDA4
       .byte $FF ; |XXXXXXXX| $FDA5
       .byte $99 ; |X  XX  X| $FDA6
       .byte $DD ; |XX XXX X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FDA9
       .byte $3C ; |  XXXX  | $FDAA

       .byte $88 ; |X   X   | $FD08
       .byte $DD ; |XX XXX X| $FD09
       .byte $FF ; |XXXXXXXX| $FD0A
       .byte $E7 ; |XXX  XXX| $FD0B
       .byte $FF ; |XXXXXXXX| $FD0C
       .byte $99 ; |X  XX  X| $FD0D
       .byte $7E ; | XXXXXX | $FD0E
       .byte $3C ; |  XXXX  | $FD0F

       .byte $44 ; | X   X  | $FD10
       .byte $EE ; |XXX XXX | $FD11
       .byte $FF ; |XXXXXXXX| $FD12
       .byte $E7 ; |XXX  XXX| $FD13
       .byte $FF ; |XXXXXXXX| $FD14
       .byte $99 ; |X  XX  X| $FD15
       .byte $7E ; | XXXXXX | $FD16
       .byte $3C ; |  XXXX  | $FD17

       .byte $22 ; |  X   X | $FD18
       .byte $77 ; | XXX XXX| $FD19
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       .byte $11 ; |   X   X| $FD20
       .byte $BB ; |X XXX XX| $FD21
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       ORG $1E80
       RORG $DE80

       .byte $88 ; |X   X   | $FD8B
       .byte $DD ; |XX XXX X| $FD8C
       .byte $FF ; |XXXXXXXX| $FD8D
       .byte $BB ; |X XXX XX| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FD91
       .byte $3C ; |  XXXX  | $FD92

       .byte $44 ; | X   X  | $FD93
       .byte $EE ; |XXX XXX | $FD94
       .byte $FF ; |XXXXXXXX| $FD95
       .byte $BB ; |X XXX XX| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FD99
       .byte $3C ; |  XXXX  | $FD9A

       .byte $22 ; |  X   X | $FD9B
       .byte $77 ; | XXX XXX| $FD9C
       .byte $FF ; |XXXXXXXX| $FD9D
       .byte $BB ; |X XXX XX| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FDA1
       .byte $3C ; |  XXXX  | $FDA2

       .byte $11 ; |   X   X| $FDA3
       .byte $BB ; |X XXX XX| $FDA4
       .byte $FF ; |XXXXXXXX| $FDA5
       .byte $BB ; |X XXX XX| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $99 ; |X  XX  X| $FD90
       .byte $7E ; | XXXXXX | $FDA9
       .byte $3C ; |  XXXX  | $FDAA

       .byte $88 ; |X   X   | $FD08
       .byte $DD ; |XX XXX X| $FD09
       .byte $FF ; |XXXXXXXX| $FD0A
       .byte $E7 ; |XXX  XXX| $FD0B
       .byte $FF ; |XXXXXXXX| $FD0C
       .byte $99 ; |X  XX  X| $FD0D
       .byte $7E ; | XXXXXX | $FD0E
       .byte $3C ; |  XXXX  | $FD0F

       .byte $44 ; | X   X  | $FD10
       .byte $EE ; |XXX XXX | $FD11
       .byte $FF ; |XXXXXXXX| $FD12
       .byte $E7 ; |XXX  XXX| $FD13
       .byte $FF ; |XXXXXXXX| $FD14
       .byte $99 ; |X  XX  X| $FD15
       .byte $7E ; | XXXXXX | $FD16
       .byte $3C ; |  XXXX  | $FD17

       .byte $22 ; |  X   X | $FD18
       .byte $77 ; | XXX XXX| $FD19
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       .byte $11 ; |   X   X| $FD20
       .byte $BB ; |X XXX XX| $FD21
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F


       ORG $1EC0
       RORG $DEC0

       .byte $88 ; |X   X   | $FD8B
       .byte $DD ; |XX XXX X| $FD8C
       .byte $FF ; |XXXXXXXX| $FD8D
       .byte $99 ; |X  XX  X| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $DD ; |XX XXX X| $FD90
       .byte $7E ; | XXXXXX | $FD91
       .byte $3C ; |  XXXX  | $FD92

       .byte $44 ; | X   X  | $FD93
       .byte $EE ; |XXX XXX | $FD94
       .byte $FF ; |XXXXXXXX| $FD95
       .byte $99 ; |X  XX  X| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $DD ; |XX XXX X| $FD90
       .byte $7E ; | XXXXXX | $FD99
       .byte $3C ; |  XXXX  | $FD9A

       .byte $22 ; |  X   X | $FD9B
       .byte $77 ; | XXX XXX| $FD9C
       .byte $FF ; |XXXXXXXX| $FD9D
       .byte $99 ; |X  XX  X| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $DD ; |XX XXX X| $FD90
       .byte $7E ; | XXXXXX | $FDA1
       .byte $3C ; |  XXXX  | $FDA2

       .byte $11 ; |   X   X| $FDA3
       .byte $BB ; |X XXX XX| $FDA4
       .byte $FF ; |XXXXXXXX| $FDA5
       .byte $99 ; |X  XX  X| $FDA6
       .byte $99 ; |X  XX  X| $FD97
       .byte $DD ; |XX XXX X| $FD90
       .byte $7E ; | XXXXXX | $FDA9
       .byte $3C ; |  XXXX  | $FDAA


       .byte $88 ; |X   X   | $FD08
       .byte $DD ; |XX XXX X| $FD09
       .byte $FF ; |XXXXXXXX| $FD0A
       .byte $E7 ; |XXX  XXX| $FD0B
       .byte $FF ; |XXXXXXXX| $FD0C
       .byte $99 ; |X  XX  X| $FD0D
       .byte $7E ; | XXXXXX | $FD0E
       .byte $3C ; |  XXXX  | $FD0F

       .byte $44 ; | X   X  | $FD10
       .byte $EE ; |XXX XXX | $FD11
       .byte $FF ; |XXXXXXXX| $FD12
       .byte $E7 ; |XXX  XXX| $FD13
       .byte $FF ; |XXXXXXXX| $FD14
       .byte $99 ; |X  XX  X| $FD15
       .byte $7E ; | XXXXXX | $FD16
       .byte $3C ; |  XXXX  | $FD17

       .byte $22 ; |  X   X | $FD18
       .byte $77 ; | XXX XXX| $FD19
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       .byte $11 ; |   X   X| $FD20
       .byte $BB ; |X XXX XX| $FD21
       .byte $FF ; |XXXXXXXX| $FD1A
       .byte $E7 ; |XXX  XXX| $FD1B
       .byte $FF ; |XXXXXXXX| $FD1C
       .byte $99 ; |X  XX  X| $FD1D
       .byte $7E ; | XXXXXX | $FD1E
       .byte $3C ; |  XXXX  | $FD1F

       ORG $1F00
       RORG $DF00

DGFX:
Logo1gfx:
       .byte $DF ; |XX XXXXX| $FE89
       .byte $CE ; |XX  XXX | $FE8A
       .byte $F7 ; |XXXX XXX| $FE8B
       .byte $DB ; |XX XX XX| $FE8C
       .byte $F9 ; |XXXXX  X| $FE8D
       .byte $F8 ; |XXXXX   | $FE8E
       .byte $F0 ; |XXXX    | $FE8F

Logo2gfx:
       .byte $C7 ; |XX   XXX| $FE90
       .byte $CF ; |XX  XXXX| $FE91
       .byte $DE ; |XX XXXX | $FE92
       .byte $D8 ; |XX XX   | $FE93
       .byte $DE ; |XX XXXX | $FE94
       .byte $CF ; |XX  XXXX| $FE95
       .byte $47 ; | X   XXX| $FE96

Logo3gfx:
       .byte $1F ; |   XXXXX| $FE97
       .byte $9F ; |X  XXXXX| $FE98
       .byte $1F ; |   XXXXX| $FE99
       .byte $DF ; |XX XXXXX| $FE9A
       .byte $1D ; |   XXX X| $FE9B
       .byte $98 ; |X  XX   | $FE9C
       .byte $10 ; |   X    | $FE9D

Logo4gfx:
       .byte $DF ; |XX XXXXX| $FE9E
       .byte $CE ; |XX  XXX | $FE9F
       .byte $C7 ; |XX   XXX| $FEA0
       .byte $C3 ; |XX    XX| $FEA1
       .byte $C1 ; |XX     X| $FEA2
       .byte $C0 ; |XX      | $FEA3
       .byte $40 ; | X      | $FEA4

Logo5gfx:
       .byte $DF ; |XX XXXXX| $FEA5
       .byte $DF ; |XX XXXXX| $FEA6
       .byte $DF ; |XX XXXXX| $FEA7
       .byte $DF ; |XX XXXXX| $FEA8
       .byte $DD ; |XX XXX X| $FEA9
       .byte $D9 ; |XX XX  X| $FEAA
       .byte $51 ; | X X   X| $FEAB

Logo6gfx:
       .byte $05 ; |     X X| $FEA5
       .byte $05 ; |     X X| $FEA6
       .byte $36 ; |  XX XX | $FEA7
       .byte $4D ; | X  XX X| $FEA8
       .byte $35 ; |  XX X X| $FEA9
       .byte $48 ; | X  X   | $FEAA
       .byte $30 ; |  XX    | $FEAB

Digit0gfx:
       .byte $3C ; |  XXXX  | $FEAC
       .byte $66 ; | XX  XX | $FEAD
       .byte $66 ; | XX  XX | $FEAE
       .byte $66 ; | XX  XX | $FEAF
       .byte $66 ; | XX  XX | $FEB0
       .byte $66 ; | XX  XX | $FEB1

Digit6gfx:
       .byte $3C ; |  XXXX  | $FEB2
       .byte $66 ; | XX  XX | $FEB3
       .byte $66 ; | XX  XX | $FEB4
       .byte $7C ; | XXXXX  | $FEB5
       .byte $60 ; | XX     | $FEB6
       .byte $62 ; | XX   X | $FEB7

Digit8gfx:
       .byte $3C ; |  XXXX  | $FEB8
       .byte $66 ; | XX  XX | $FEB9
       .byte $66 ; | XX  XX | $FEBA
       .byte $3C ; |  XXXX  | $FEBB
       .byte $66 ; | XX  XX | $FEBC
       .byte $66 ; | XX  XX | $FEBD

Digit9gfx:
       .byte $3C ; |  XXXX  | $FEBE
       .byte $46 ; | X   XX | $FEBF
       .byte $06 ; |     XX | $FEC0
       .byte $3E ; |  XXXXX | $FEC1
       .byte $66 ; | XX  XX | $FEC2
       .byte $66 ; | XX  XX | $FEC3

Digit3gfx:
       .byte $3C ; |  XXXX  | $FEC4
       .byte $46 ; | X   XX | $FEC5
       .byte $06 ; |     XX | $FEC6
       .byte $0C ; |    XX  | $FEC7
       .byte $06 ; |     XX | $FEC8
       .byte $46 ; | X   XX | $FEC9
       .byte $3C ; |  XXXX  | $FECA

Digit4gfx:
       .byte $0C ; |    XX  | $FECB
       .byte $0C ; |    XX  | $FECC
       .byte $7E ; | XXXXXX | $FECD
       .byte $4C ; | X  XX  | $FECE
       .byte $2C ; |  X XX  | $FECF
       .byte $1C ; |   XXX  | $FED0
       .byte $0C ; |    XX  | $FED1

Digit7gfx:
       .byte $18 ; |   XX   | $FED2
       .byte $18 ; |   XX   | $FED3
       .byte $08 ; |    X   | $FED4
       .byte $04 ; |     X  | $FED5
       .byte $02 ; |      X | $FED6
       .byte $62 ; | XX   X | $FED7

Digit2gfx:
       .byte $7E ; | XXXXXX | $FED8
       .byte $60 ; | XX     | $FED9
       .byte $60 ; | XX     | $FEDA
       .byte $3C ; |  XXXX  | $FEDB
       .byte $06 ; |     XX | $FEDC
       .byte $46 ; | X   XX | $FEDD

Digit5gfx:
       .byte $7C ; | XXXXX  | $FEDE
       .byte $46 ; | X   XX | $FEDF
       .byte $06 ; |     XX | $FEE0
       .byte $7C ; | XXXXX  | $FEE1
       .byte $60 ; | XX     | $FEE2
       .byte $60 ; | XX     | $FEE3

Digit1gfx:
       .byte $7E ; | XXXXXX | $FEE4
       .byte $18 ; |   XX   | $FEE5
       .byte $18 ; |   XX   | $FEE6
       .byte $18 ; |   XX   | $FEE7
       .byte $18 ; |   XX   | $FEE8
       .byte $78 ; | XXXX   | $FEE9
       .byte $38 ; |  XXX   | $FEEA

SPACEgfx:
       .byte $00 ; |        | $FEEB
       .byte $00 ; |        | $FEEC
       .byte $00 ; |        | $FEED
       .byte $00 ; |        | $FEEE
       .byte $00 ; |        | $FEEF
       .byte $00 ; |        | $FEF0
       .byte $00 ; |        | $FEF1

LDE6C: .byte $20 ; |  X     | $FE6C
       .byte $10 ; |   X    | $FE6D
LDE6E: .byte $08 ; |    X   | $FE6E
LDE6F: .byte $04 ; |     X  | $FE6F

;digit lookup
LDEF6: .byte <Digit0gfx
       .byte <Digit1gfx
       .byte <Digit2gfx
       .byte <Digit3gfx
       .byte <Digit4gfx
       .byte <Digit5gfx
       .byte <Digit6gfx
       .byte <Digit7gfx
       .byte <Digit8gfx
       .byte <Digit9gfx
       .byte <SPACEgfx
;       .byte <Logo6gfx
       .byte <Logo5gfx
       .byte <Logo4gfx
       .byte <Logo3gfx
       .byte <Logo2gfx
       .byte <Logo1gfx

LDF41: .byte $90 ; |X  X    | $FF41
       .byte $F0 ; |XXXX    | $FF42
LDE0A: .byte $10 ; |   X    | $FE0A
       .byte $10 ; |   X    | $FE0B
LDE0C: .byte $08 ; |    X   | $FE0C
LDE0D: .byte $00 ; |        | $FE0D
       .byte $08 ; |    X   | $FE0E
LDE0F: .byte $C9 ; |XX  X  X| $FE0F
       .byte $39 ; |  XXX  X| $FE10
LDE11: .byte $C9 ; |XX  X  X| $FE11
       .byte $CF ; |XX  XXXX| $FE12

       ORG $1FF8
       RORG $DFF8

       .byte $FF ; |   XX   | $FFF8
       .byte $FF ; |        | $FFF9
       .byte $FF ; |        | $FFFA
       .byte $FF ; |        | $FFFB
       .word START1
       .byte $FF ; |        | $FFFE
       .byte $FF ; |        | $FFFF



















       ORG $2000
       RORG $F000



       NOP                            ;2
       NOP                            ;2
       NOP                            ;2
       JMP    START                   ;3


LF07F:
       LDY    $1FF8                   ;4 call bank 1

LF48E: TAY                            ;2
       LDA    $E6                     ;3
       BPL    LF495                   ;2
       LDY    #$03                    ;2
LF495: LDX    $98                     ;3
       JSR    LFC68                   ;6
       LDA    #$00                    ;2
       STA    WSYNC                   ;3
       STA    COLUBK                  ;3
       LDY    #$03                    ;2
       LDA    $E6                     ;3
       BPL    LF4A8                   ;2
       LDY    #$00                    ;2
LF4A8: LDX    $AC                     ;3
       JSR    LFC68                   ;6
       LDX    #$06                    ;2
       LDA    $F4                     ;3
       STA    COLUP1                  ;3
       LDA    $F5                     ;3
       STA    COLUP0                  ;3
LF4B7: STA    WSYNC                   ;3
       LDA    #$02                    ;2
       STA    CTRLPF                  ;3
       LDA    $D2                     ;3
       STA    PF0                     ;3
       LDA    $D3                     ;3
       STA    PF1                     ;3
       LDA    $D4                     ;3
       STA    PF2                     ;3
       NOP                            ;2
       NOP                            ;2
       NOP                            ;2
       LDA    $D5                     ;3
       STA    PF0                     ;3
       LDA    $D6                     ;3
       STA    PF1                     ;3
       LDA    $D7                     ;3
       STA    PF2                     ;3
       DEX                            ;2
       BNE    LF4B7                   ;2
       STA    WSYNC                   ;3
       STX    CTRLPF                  ;3
       STX    COLUPF                  ;3
       STX    PF0                     ;3
       STX    PF1                     ;3
       STX    PF2                     ;3
       LDX    $82                     ;3
       BNE    LF4F4                   ;2
       JSR    LFBAD                   ;6
       LDA    $E5                     ;3
       BPL    LF4F7                   ;2
       DEC    $E5                     ;5
LF4F4: JMP    LF7C3                   ;3

LF4F7: LDA    $E4                     ;3
       BEQ    LF55B                   ;2

       LDA    $80                     ;3
       ROR                            ;2
       BCC    LF55B                   ;2
;       LDA    #$01                    ;2
;       BIT    $E7                     ;3
;       BVS    Notune1                 ;2
;       LDA    #$03                    ;2
;Notune1:
;       AND    $80                     ;3
;       BNE    LF55B                   ;2


       DEC    $E4                     ;5 XXXXXXXXXXXXXX
       BNE    LF55B                   ;2
       BIT    $9A                     ;3
       LDA    $9A                     ;3
       BPL    LF51A                   ;2
       BVC    LF516                   ;2
       AND    #$BF                    ;2
       STA    $9A                     ;3

       LDA    #$20                    ;2
       STA    $E4                     ;3 XXXXXXXXXXXXXXX
       BPL    LF55B                   ;2
LF516: AND    #$7C                    ;2
       STA    $9A                     ;3
LF51A: LDA    $E7                     ;3
       AND    #$40                    ;2
       BEQ    LF553                   ;2
       EOR    $E7                     ;3
       STA    $E7                     ;3
       JSR    LFC21                   ;6
       BIT    $E6                     ;3
       BVC    LF538                   ;2
       LDA    $AC                     ;3
       BEQ    LF538                   ;2
       JSR    LFB9F                   ;6
       LDA    $E6                     ;3
       EOR    #$80                    ;2
       STA    $E6                     ;3
LF538: LDA    $98                     ;3
       ORA    $AC                     ;3
       BEQ    LF548                   ;2
       DEC    $98                     ;5
       LDA    #$08                    ;2
       ORA    $E7                     ;3
       STA    $E7                     ;3
       BNE    LF55B                   ;2
LF548: STA    $E7                     ;3
       LDA    #$5F                    ;2
       STA    $82                     ;3
       STA    $B6                     ;3
       JMP    LF7C3                   ;3
LF553: LDA    $E7                     ;3
       BPL    LF55B                   ;2
       AND    #$7F                    ;2
       STA    $E7                     ;3
LF55B: LDA    $E7                     ;3
       BPL    LF573                   ;2
       LDA    $99                     ;3
       TAY                            ;2
       DEY                            ;2
       LDX    #$04                    ;2
LF565: STA    $C0,X                   ;4
       STY    $C4,X                   ;4
       DEX                            ;2
       STY    $C4,X                   ;4
       STY    $C0,X                   ;4
       DEX                            ;2
       BNE    LF565                   ;2
       BEQ    LF4F4                   ;2
;       JMP    LF4F4                   ;3

LF573: LDA    CXM1P                   ;3
       AND    CXP1FB                  ;3
       AND    #$40                    ;2
       BEQ    LF591                   ;2
       LDY    #$06                    ;2
       JSR    LFC45                   ;6
       LDY    #$01                    ;2
       JSR    LFF43                   ;6
       LDA    $E7                     ;3
       EOR    #$02                    ;2
       STA    $E7                     ;3
       LDA    #$12                    ;2
       STA    $EC                     ;3
       BNE    LF5D3                   ;2
LF591: TAX                            ;2
       LDA    $B6                     ;3
       CMP    #$05                    ;2
       BEQ    LF59D                   ;2
       CMP    #$41                    ;2
       BNE    LF5D3                   ;2
       INX                            ;2
LF59D: LDA    $B1                     ;3
       CMP    #$04                    ;2
       BEQ    LF5A9                   ;2
       CMP    #$94                    ;2
       BNE    LF5D3                   ;2
       INX                            ;2
       INX                            ;2
LF5A9: LDA    LFE6C,X                 ;4
       TAY                            ;2
       AND    $9A                     ;3
       BEQ    LF5D3                   ;2
       TYA                            ;2
       EOR    #$FF                    ;2
       AND    $9A                     ;3
       ORA    #$C0                    ;2
       STA    $9A                     ;3

       LDY    #$A0                    ;2
       LDA    $E7                     ;3
       AND    #$20                    ;2
       BEQ    LF5C4                   ;2
       LDY    #$50                    ;2

;       LDY    #$50                    ;2 high bluetime
;       LDA    $E7                     ;3
;       AND    #$20                    ;2
;       BEQ    LF5C4                   ;2
;       LDY    #$28                    ;2 low bluetime

LF5C4: STY    $E4                     ;3 XXXXXXXXXXXXXXXX
       LDY    #$05                    ;2
       JSR    LFC45                   ;6
       LDY    #$02                    ;2
       JSR    LFF43                   ;6
       JMP    LF6AA                   ;3
LF5D3: LDA    $80                     ;3
       AND    #$04                    ;2
       BNE    LF61E                   ;2
       LDA    CXPPMM                  ;3
       BPL    LF61E                   ;2 branch if no player collision
       LDA    $80                     ;3
       AND    #$03                    ;2
       TAX                            ;2
       LDA    $9A                     ;3
       BPL    LF60B                   ;2 branch if no bluetime

;eating monster
       LDA    $BC,X                   ;4
       AND    #$08                    ;2
       BNE    LF61E                   ;2 branch if already eyes
       LDA    $BC,X                   ;4
       ORA    #$08                    ;2 set bit to indicate that monster eaten
       STA    $BC,X                   ;4
       LDA    $9A                     ;3
       AND    #$03                    ;2
       TAY                            ;2
       JSR    LFC45                   ;6
       CPY    #$03                    ;2
       BEQ    LF600                   ;2
       INC    $9A                     ;5
LF600: LDY    #$03                    ;2
       JSR    LFF43                   ;6
       LDA    #$9F                    ;2
       STA    $E5                     ;3
       BNE    LF61E                   ;2

;check for player being killed
LF60B: LDA    $BC,X                   ;4
       AND    #$08                    ;2
       BNE    LF61E                   ;2 branch if eyes

       LDA    $B2,X                   ;4
       SEC                            ;2
       SBC    $B1                     ;3
       TAY                            ;2
       SEC                            ;2
       SBC    #$04                    ;3
       CMP    #$FC-4-1                ;2
       BCC    LF61E                   ;2 branch if not close
       LDA    $B7,X                   ;4
       SEC                            ;2
       SBC    $B6                     ;3
       SEC                            ;2
       SBC    #$04                    ;3
       CMP    #$FC-4-1                ;2
       BCC    LF61E                   ;2 branch if not close
       TYA                            ;2
       BEQ    Ldeath                  ;2 branch if equal
       LDA    $B7,X                   ;4
       CMP    $B6                     ;3
       BNE    LF61E                   ;2 branch if not equal




Ldeath:
;set death sequence
       LDA    #$C0                    ;2
       ORA    $E7                     ;3
       STA    $E7                     ;3
       LDA    #$3F                    ;2
       STA    $E4                     ;3 XXXXXXXXXXXXXXX
       JMP    LF7BA                   ;3
LF61E: LDA    SWCHA                   ;4
       LDY    $E6                     ;3
       BMI    LF629                   ;2
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
       LSR                            ;2
LF629: EOR    #$FF                    ;2
       AND    #$0F                    ;2
       STA    $ED                     ;3
       BEQ    LF635                   ;2
       LDA    #$00                    ;2
       STA    $81                     ;3
LF635: LDA    $BB                     ;3
       AND    #$20                    ;2
       BEQ    LF666                   ;2
       LDA    $ED                     ;3
       LSR                            ;2
       BCC    LF65D                   ;2
       LDA    $BB                     ;3
       BMI    LF656                   ;2
LF644: AND    #$10                    ;2
       BNE    LF659                   ;2
       LDA    #$3F                    ;2
       EOR    $B6                     ;3
       AND    #$3F                    ;2
       STA    $B6                     ;3
       LDA    #$C0                    ;2
LF652: EOR    $BB                     ;3
       STA    $BB                     ;3
LF656: JMP    LF7BA                   ;3
LF659: LDA    #$80                    ;2
       BNE    LF652                   ;2
LF65D: LSR                            ;2
       BCC    LF656                   ;2
       LDA    $BB                     ;3
       BMI    LF644                   ;2
       BPL    LF656                   ;2
LF666: LDA    $85                     ;3
       BNE    LF6AA                   ;2
       LDY    $87                     ;3
       LDA    LFE13,Y                 ;4
       LDX    $B1                     ;3
       CPX    #$4C                    ;2
       BEQ    LF67D                   ;2
       LDX    $BB                     ;3
       BPL    LF67D                   ;2
       INY                            ;2
       ORA    LFE13,Y                 ;4
LF67D: LSR                            ;2
       BCC    LF6AA                   ;2
       LSR                            ;2
       TAX                            ;2
       LDA    $C9                     ;3
       ROL                            ;2
       TAY                            ;2
       LDA    LFE79,Y                 ;4
       TAY                            ;2
       TXA                            ;2
       AND    #$07                    ;2
       TAX                            ;2
       LDA    LFE6A,X                 ;4
       TAX                            ;2
       AND.wy $88,Y                   ;4
       BEQ    LF6AA                   ;2
       TXA                            ;2
       EOR    #$FF                    ;2
       AND.wy $88,Y                   ;4
       STA.wy $88,Y                   ;5
       LDY    #$04                    ;2
       JSR    LFC45                   ;6
       LDY    #$00                    ;2
       JSR    LFF43                   ;6
LF6AA: LDX    #$0F                    ;2
       LDA    $9A                     ;3
       AND    #$3C                    ;2
LF6B0: ORA    $88,X                   ;4
       DEX                            ;2
       BPL    LF6B0                   ;2
       TAX                            ;2
       BNE    LF6CE                   ;2
       LDA    $98                     ;3
       CMP    #$09                    ;2
       BEQ    LF6C0                   ;2
       INC    $98                     ;5
LF6C0: LDA    $99                     ;3
       CMP    #$0E                    ;2
       BEQ    LF6C8                   ;2
       INC    $99                     ;5
LF6C8: JSR    LFC0C                   ;6
       JMP    LF7BA                   ;3
LF6CE: LDX    #$00                    ;2
       LDA    $ED                     ;3
       STA    $D2                     ;3
       BNE    LF6D9                   ;2
       JMP    LF78A                   ;3
LF6D9: LDY    $BB                     ;3
       BPL    LF72D                   ;2
LF6DD: LSR                            ;2
       LSR                            ;2
       AND    #$03                    ;2
       BEQ    LF725                   ;2
       LSR                            ;2
       LDA    $85                     ;3
       BNE    LF725                   ;2
       LDA    $86                     ;3
       BEQ    LF6F0                   ;2
       BCC    LF71B                   ;2
       BCS    LF700                   ;2
LF6F0: LDY    $87                     ;3
       BCC    LF70A                   ;2
       LDA    $EE                     ;3
       CMP    #$F9                    ;2
       BEQ    LF725                   ;2
       DEY                            ;2
       LDA    LFE13,Y                 ;4
       BMI    LF725                   ;2
LF700: LDA    #$01                    ;2
       ORA    $BB                     ;3
       STA    $BB                     ;3
       LDY    #$01                    ;2
       BNE    LF77B                   ;2
LF70A: LDA    $C9                     ;3
       CMP    #$03                    ;2
       BNE    LF714                   ;2
       CPY    #$38                    ;2
       BEQ    LF725                   ;2
LF714: INY                            ;2
       INY                            ;2
       LDA    LFE13,Y                 ;4
       BMI    LF725                   ;2
LF71B: LDA    #$FE                    ;2
       AND    $BB                     ;3
       STA    $BB                     ;3
       LDY    #$00                    ;2
       BEQ    LF77B                   ;2
LF725: LDA    $D2                     ;3
       AND    #$F3                    ;2
       BEQ    LF78A                   ;2
       STA    $D2                     ;3
LF72D: LDA    $D2                     ;3
       AND    #$03                    ;2
       BEQ    LF781                   ;2
       LSR                            ;2
       LDA    $86                     ;3
       BNE    LF781                   ;2
       LDA    $B1                     ;3
       CMP    #$4C                    ;2
       BNE    LF75B                   ;2
       LDA    $B6                     ;3
       BEQ    LF751                   ;2
       CMP    #$46                    ;2
       BNE    LF75B                   ;2
       LDA    $D2                     ;3
       LSR                            ;2
       LSR                            ;2
       BCC    LF75B                   ;2
       JSR    LFD26                   ;6
       BNE    LF7BA                   ;2
LF751: LDA    $D2                     ;3
       LSR                            ;2
       BCC    LF75B                   ;2
       JSR    LFD32                   ;6
       BNE    LF7BA                   ;2
LF75B: LDA    $D2                     ;3
       LSR                            ;2
       LDA    $85                     ;3
       BEQ    LF766                   ;2
       BCC    LF779                   ;2
       BCS    LF770                   ;2
LF766: LDY    $87                     ;3
       LDA    LFE13,Y                 ;4
       BCC    LF775                   ;2
       ROL                            ;2
       BPL    LF781                   ;2
LF770: LDY    #$03                    ;2
       JMP    LF77B                   ;3
LF775: ROL                            ;2
       ROL                            ;2
       BPL    LF781                   ;2
LF779: LDY    #$02                    ;2
LF77B: JSR    LF9E5                   ;6
       JMP    LF7BA                   ;3
LF781: LDA    $D2                     ;3
       AND    #$FC                    ;2
       STA    $D2                     ;3
       JMP    LF6DD                   ;3
LF78A: JSR    LF793                   ;6
       JSR    LF9EE                   ;6
       JMP    LF7BA                   ;3
LF793: LDA    $85                     ;3
       ORA    $86                     ;3
       BEQ    LF79A                   ;2
       RTS                            ;6

LF79A: LDA    $BB,X                   ;4
       ROL                            ;2
       BCS    LF7AD                   ;2
       BPL    LF7A7                   ;2
       JSR    LFB70                   ;6
       JMP    LF7B8                   ;3
LF7A7: JSR    LFB87                   ;6
       JMP    LF7B8                   ;3
LF7AD: BPL    LF7B5                   ;2
       JSR    LFB36                   ;6
       JMP    LF7B8                   ;3
LF7B5: JSR    LFB5C                   ;6
LF7B8: PLA                            ;4
       PLA                            ;4
LF7BA: LDA    $BB                     ;3
       ROR                            ;2
       BCC    LF7C3                   ;2
       LDA    #$08                    ;2
       STA    REFP1                   ;3














LF7C3: LDX    #$00                    ;2
       STX    AUDV0                   ;3
       STX    AUDV1                   ;3
;       STX    AUDF0                   ;3
;       STX    AUDF1                   ;3
;       STX    AUDC0                   ;3
;       STX    AUDC1                   ;3

       JSR    LFF55                   ;6
       LDX    #$01                    ;2
       JSR    LFF94                   ;6
LF7D1: LDA    INTIM                   ;4
       BNE    LF7D1                   ;2
LF7D6: LDA    #$03                    ;2
       STA    WSYNC                   ;3
       STA    VBLANK                  ;3
       STA    VSYNC                   ;3
       STA    CXCLR                   ;3
       LDA    $80                     ;3 load fast timer

       TAY                            ;2
       AND    #$03                    ;2
       TAX                            ;2
       LDA    EyeMov,X                ;4 load the current monster #
       TAX                            ;2

;animations
       TYA                            ;2
       LSR                            ;2
       TAY                            ;2 save for pac animation
       LSR                            ;2
       AND    #$03                    ;2 keep only values 0-3
       ASL                            ;2
       ASL                            ;2
       ASL                            ;2 ...and multiply by 8 (bytes per frame)
       STA    $DD                     ;3 save as the frame offset
       LDA    $BC,X                   ;4
       AND    #$C0                    ;2 fetch current monster direction
       CLC                            ;2
       ADC    $DD                     ;3 ...and add in the offset
       BIT    $9A                     ;3
       BPL    Lnoblue                 ;2 branch if no bluetime
       ADC    #$20                    ;2 skip 4 frames & grab blue monster GFX
Lnoblue:
       STA    $DD                     ;3
       LDA    $E7                     ;3
       ROL                            ;2
       BPL    LF800                   ;2
       LDA    $E4                     ;3
       LSR                            ;2
       LSR                            ;2
       AND    #$0F                    ;2
       TAX                            ;2
       LDA    LFDFA,X                 ;4
       BNE    LF80F                   ;2

LF800: TYA                            ;2 pull pac animation speed
       AND    #$07                    ;2 keep values 0-7
       TAX                            ;2
       LDA    LFDC2,X                 ;4 load pac frame
       LDX    $E7                     ;3
       BPL    LF80E                   ;2
       LDA    LFDC2                   ;4
LF80E: STA    $DF                     ;3






       LDA    $BB                     ;3
       AND    #$C0                    ;2
       CLC                            ;2
       ADC    $DF                     ;3
LF80F: STA    $DF                     ;3







       STA    WSYNC                   ;3
       INC    $80                     ;5
       BNE    LF83D                   ;2
       INC    $81                     ;5
       BEQ    LF839                   ;2
       DEC    $EC                     ;5
       BNE    LF835                   ;2
       LDY    #$12                    ;2
       LDA    $E7                     ;3
       EOR    #$02                    ;2
       STA    $E7                     ;3
       AND    #$02                    ;2
       BEQ    LF833                   ;2
       LDY    #$03                    ;2
       LDA    $E7                     ;3
       AND    #$20                    ;2
       BEQ    LF833                   ;2
       DEY                            ;2
LF833: STY    $EC                     ;3
LF835: LDA    $82                     ;3
       BEQ    LF83D                   ;2
LF839: INC    $82                     ;5
       BEQ    LF839                   ;2
LF83D: STA    WSYNC                   ;3
       LDA    #>MGFX                  ;2<- hibyte GFX
       STA    $DE                     ;3
       LDA    #>PGFX                  ;2<- hibyte GFX
       STA    $E0                     ;3
       LDA    $B6                     ;3
       CLC                            ;2
       ADC    #$0B                    ;2
       STA    $D9                     ;3
       LDX    #$07                    ;2
       STX    $DB                     ;3
       DEX                            ;2
       STX    $DC                     ;3
       LDX    #$FF                    ;2
       LDA    #$08                    ;2
       AND    SWCHB                   ;4
       BNE    LF85E                   ;2
       LDX    #$0F                    ;2
LF85E: TXA                            ;2
       LDX    $82                     ;3
       BEQ    LF865                   ;2
       EOR    #$08                    ;2
LF865: STA    $EF                     ;3
       LDA    #$07                    ;2
       STA    $F0                     ;3
       LDA    #$08                    ;2
       STA    $F1                     ;3
       LDA    $AF                     ;3
       STA    $F4                     ;3
       LDA    #$29                    ;2
       STA    TIM64T                  ;4
       STA    WSYNC                   ;3
       LDX    #$00                    ;2
       STX    VSYNC                   ;3
       LDA    $9B                     ;3
       STA    $F5                     ;3
       LDA    $82                     ;3
       BEQ    LF88A                   ;2
       LDA    INPT4                   ;3
       BPL    LF890                   ;2
LF88A: LDA    SWCHB                   ;4
       ROR                            ;2
       BCS    LF8C1                   ;2
LF890: LDA    #$FF                    ;2
       STA    $CB                     ;3
       JSR    LFC7D                   ;6
       STA    $AC                     ;3
       STA    $82                     ;3
       LDA    #$08                    ;2
       STA    $E7                     ;3
       LDA    #$0B                    ;2
       LDX    $84                     ;3
       CPX    #$08                    ;2
       BPL    LF8A9                   ;2
       LDA    #$09                    ;2
LF8A9: STA    $C0                     ;3
       JSR    LFBF4                   ;6
       LDA    $E6                     ;3
       AND    #$7F                    ;2
       STA    $E6                     ;3
       ASL                            ;2
       BPL    LF909                   ;2
       JSR    LFB9F                   ;6
       JSR    LFBF4                   ;6
       INC    $AC                     ;5
       BNE    LF909                   ;2
LF8C1: ROR                            ;2
       BCS    LF909                   ;2
       LDA    $83                     ;3
       BNE    LF8FF                   ;2
LF8C8: INC    $84                     ;5
       LDA    #$60                    ;2
       STA    $B6                     ;3
       LDA    #$10                    ;2
       STA    $E7                     ;3
       LDA    $E6                     ;3
       EOR    #$40                    ;2
       STA    $E6                     ;3
       JSR    LFC7D                   ;6
       STA    AUDV0                   ;3
       STA    AUDV1                   ;3
       STA    $E8                     ;3
       LDA    #$01                    ;2
       STA    $82                     ;3
       STA    $80                     ;3
       LDA    $84                     ;3
       CMP    #$12                    ;2
       BNE    LF8EF                   ;2
       LDA    #$02                    ;2
LF8EF: STA    $84                     ;3
       LSR                            ;2
       SEC                            ;2
       SBC    #$02                    ;2
       AND    #$07                    ;2
       BNE    LF8FB                   ;2
       LDA    #$08                    ;2
LF8FB: STA    $CC                     ;3
       STA    $CD                     ;3
LF8FF: INC    $83                     ;5
       LDA    $83                     ;3
       AND    #$1F                    ;2
       BNE    LF90D                   ;2
       BEQ    LF8C8                   ;2
LF909: LDY    #$00                    ;2
       STY    $83                     ;3
LF90D: LDA    #$DF                    ;2
       AND    $E7                     ;3
       STA    $E7                     ;3
       LDA    #$80                    ;2
       LDX    $E6                     ;3
       BMI    LF91A                   ;2
       LSR                            ;2
LF91A: LDX    #$20                    ;2
       AND    SWCHB                   ;4
       BNE    LF923                   ;2
       LDX    #$00                    ;2
LF923: TXA                            ;2
       ORA    $E7                     ;3
       STA    $E7                     ;3
       LDA    #$06                    ;2 <-pac color offset
       STA    $F3                     ;3
       LDA    $80                     ;3
       AND    #$03                    ;2
       TAX                            ;2
       TAY                            ;2
       LDA    $9A                     ;3
       BPL    LF93D                   ;2 branch if no bluetime
       LDY    #$04                    ;2 load blue color pointer
       AND    #$40                    ;2
       BNE    LF93D                   ;2

       LDA    $80                     ;3 bugfix for flash
       AND    #$08                    ;2
       BNE    LF93D                   ;2

       INY                            ;2 change to white pointer
LF93D: STY    $F2                     ;3 set monster color pointer
       INX                            ;2

;80 = moving vertical
;08 = eyes

       LDA    $BB,X                   ;4
       AND    #$08                    ;2
       BEQ    LF94C                   ;2 <- branch if not eyes
       DEC    $DE                     ;5 flip to lower GFX page (holding eye bitmap)

       LDA    #$05                    ;2 save pointer to "white"
       STA    $F2                     ;3

       LDA    $DD                     ;3
       AND    #$C0                    ;2 ...and drop off the lower nybble from bitmap pointer
       STA    $DD                     ;3
       JMP    LF950                   ;2

LF94C: LDA    $E5                     ;3
       BMI    LF95D                   ;2
LF950: LDA    $E7                     ;3
       BMI    LF95D                   ;2
       JSR    LF9AA                   ;6
       JSR    LF9AA                   ;6
       JSR    LF9AA                   ;6
LF95D: LDA    $B1,X                   ;4
       STA    $B0                     ;3
       LDA    $B6,X                   ;4
       CLC                            ;2
       ADC    #$0B                    ;2
       STA    $D8                     ;3
       LDA    $BB,X                   ;4
       AND    #$20                    ;2
       BEQ    LF973                   ;2
       LDY    #$00                    ;2
       JSR    LFC8B                   ;6
LF973: LDA    $BB                     ;3
       AND    #$20                    ;2
       BEQ    LF980                   ;2
       LDY    #$01                    ;2
       LDX    #$00                    ;2
       JSR    LFC8B                   ;6

;save color pointer
LF980: LDA    #>ColorTbl              ;2
       STA    $D3                     ;3
       LDA    #<ColorTbl              ;2
       STA    $D2                     ;3
       LDX    #$05                    ;2
       LDA    $EF                     ;3 $EF = SWCHB
       BMI    LF992                   ;2
       LDA    #<BwTbl                 ;2
       STA    $D2                     ;3
LF992: LDY    $F0,X                   ;4
       LDA    ($D2),Y                 ;5 load color
       EOR    $82                     ;3
       AND    $EF                     ;3
       STA    $F0,X                   ;4
       DEX                            ;2
       BPL    LF992                   ;2
       LDA    $F3                     ;3
       STA    COLUP1                  ;3
       LDA    $F2                     ;3
       STA    COLUP0                  ;3
       JMP    LF07F                   ;3
LF9AA: LDA    $BB,X                   ;4
       AND    #$08                    ;2
       BEQ    LF9D2                   ;2 branch if not eyes
       LDA    $B6,X                   ;4 check if eyes reached box...
       CMP    #$1E                    ;2
       BNE    LF9D2                   ;2
       LDA    $B1,X                   ;4
       CMP    #$58                    ;2
       BNE    LF9C0                   ;2
       LDY    #$01                    ;2
       BNE    LF9E5                   ;2
LF9C0: CMP    #$4C                    ;2
       BNE    LF9D2                   ;2
       LDA    $9A                     ;3
       BMI    LF9E4                   ;2
       LDA    $BB,X                   ;4
       AND    #$F7                    ;2 clear eye flag
       STA    $BB,X                   ;4
       LDY    #$00                    ;2
       BEQ    LF9E5                   ;2
LF9D2: LDA    $BB,X                   ;4
       AND    #$20                    ;2
       BNE    LF9E4                   ;2
       JSR    LFBAD                   ;6
       JSR    LFA26                   ;6
       LDA    $BB,X                   ;4
       AND    #$20                    ;2
       BEQ    LF9EE                   ;2
LF9E4: RTS                            ;6

LF9E5: LDA    $BB,X                   ;4
       AND    #$3F                    ;2
       ORA    LFE63,Y                 ;4
       STA    $BB,X                   ;4
LF9EE: LDA    $C0,X                   ;4
       ASL                            ;2
       ASL                            ;2
       ASL                            ;2
       ASL                            ;2
       CLC                            ;2
       ADC    $C0,X                   ;4
       STA    $C0,X                   ;4
       BCC    LF9E4                   ;2
       LDY    #$00                    ;2
       LDA    $BB,X                   ;4
       AND    #$EF                    ;2
       STA    $BB,X                   ;4
       ROL                            ;2
       BPL    LFA09                   ;2
       DEY                            ;2
       BMI    LFA0A                   ;2
LFA09: INY                            ;2
LFA0A: TYA                            ;2
       BCS    LFA1A                   ;2
       ADC    $B1,X                   ;4
       CMP    #$02                    ;2
       BEQ    LFA19                   ;2
       CMP    #$96                    ;2
       BEQ    LFA19                   ;2
       STA    $B1,X                   ;4
LFA19: RTS                            ;6

LFA1A: CLC                            ;2
       ADC    $B6,X                   ;4
       BMI    LFA25                   ;2
       CMP    #$47                    ;2
       BEQ    LFA25                   ;2
       STA    $B6,X                   ;4
LFA25: RTS                            ;6

LFA26: LDA    $86                     ;3
       ORA    $85                     ;3
       BNE    LF9E4                   ;2
       LDA    $BB,X                   ;4
       AND    #$10                    ;2
       BNE    LF9E4                   ;2
       LDA    $82                     ;3
       BEQ    LFA39                   ;2
       JMP    LFAB9                   ;3
LFA39: LDA    $BB,X                   ;4
       AND    #$08                    ;2
       BEQ    LFA49                   ;2
       LDA    #$58                    ;2
       STA    $D3                     ;3
       LDA    #$1F                    ;2
       STA    $D2                     ;3
       BNE    LFA99                   ;2
LFA49: LDA    $B1,X                   ;4
       CMP    #$4C                    ;2
       BNE    LFA63                   ;2
       LDA    $CB                     ;3
       AND    #$0F                    ;2
       BNE    LFA63                   ;2
       LDA    $B6,X                   ;4
       BNE    LFA5C                   ;2
       JMP    LFD32                   ;3
LFA5C: CMP    #$46                    ;2
       BNE    LFA63                   ;2
       JMP    LFD26                   ;3
LFA63: LDA    $B1                     ;3
       STA    $D3                     ;3
       LDA    $B6                     ;3
       STA    $D2                     ;3
       LDA    $9A                     ;3
       BPL    LFA82                   ;2
       LDA    $B1                     ;3
       CLC                            ;2
       ADC    #$60                    ;2
       EOR    #$FF                    ;2
       STA    $D3                     ;3
       LDA    $B6                     ;3
       CLC                            ;2
       ADC    #$B1                    ;2
       EOR    #$FF                    ;2
       JMP    LFA99                   ;3
LFA82: DEC    $C4,X                   ;6
       BNE    LFA99                   ;2
       LDA    $99                     ;3
       LSR                            ;2
       TAY                            ;2
       LDA    LFE6F,Y                 ;4
       STA    $C4,X                   ;4
       TXA                            ;2
       LSR                            ;2
       LSR                            ;2
       BCC    LFAB9                   ;2
       INC    $C4,X                   ;6
       JMP    LFAB9                   ;3
LFA99: LDA    $B1,X                   ;4
       CMP    $D3                     ;3
       BEQ    LFAAA                   ;2
       BCC    LFAA7                   ;2
       JSR    LFB70                   ;6
       JMP    LFAAA                   ;3
LFAA7: JSR    LFB87                   ;6
LFAAA: LDA    $B6,X                   ;4
       CMP    $D2                     ;3
       BCC    LFAB6                   ;2
       JSR    LFB36                   ;6
       JMP    LFAB9                   ;3
LFAB6: JSR    LFB5C                   ;6
LFAB9: LDA    $BB,X                   ;4
       ROL                            ;2
       BCS    LFAC2                   ;2
       BMI    LFAE0                   ;2
       BPL    LFAD2                   ;2
LFAC2: BPL    LFAEE                   ;2
       JSR    LFBE0                   ;6
       BNE    LFACC                   ;2
       JSR    LFB36                   ;6
LFACC: JSR    LFB19                   ;6
       JSR    LFB36                   ;6
LFAD2: JSR    LFBE0                   ;6
       BNE    LFADA                   ;2
       JSR    LFB87                   ;6
LFADA: JSR    LFAFC                   ;6
       JSR    LFB87                   ;6
LFAE0: JSR    LFBE0                   ;6
       BNE    LFAE8                   ;2
       JSR    LFB70                   ;6
LFAE8: JSR    LFAFC                   ;6
       JSR    LFB70                   ;6
LFAEE: JSR    LFBE0                   ;6
       BNE    LFAF6                   ;2
       JSR    LFB5C                   ;6
LFAF6: JSR    LFB19                   ;6
       JSR    LFB5C                   ;6
LFAFC: JSR    LFBE0                   ;6
       JSR    LFB05                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB05: BNE    LFB10                   ;2
       JSR    LFB36                   ;6
       JSR    LFB5C                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB10: JSR    LFB5C                   ;6
       JSR    LFB36                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB19: JSR    LFBE0                   ;6
       JSR    LFB22                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB22: BNE    LFB2D                   ;2
       JSR    LFB70                   ;6
       JSR    LFB87                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB2D: JSR    LFB87                   ;6
       JSR    LFB70                   ;6
       PLA                            ;4
       PLA                            ;4
       RTS                            ;6

LFB36: LDA    $C9                     ;3
       BEQ    LFB5B                   ;2
       LDY    $87                     ;3
       LDA    LFE13,Y                 ;4
       ROL                            ;2
       BPL    LFB5B                   ;2
       LDY    #$03                    ;2
LFB44: TXA                            ;2
       BEQ    LFB50                   ;2
       LDA    $BB,X                   ;4
       AND    #$C0                    ;2
       CMP    LFE67,Y                 ;4
       BEQ    LFB5B                   ;2
LFB50: LDA    $BB,X                   ;4
       AND    #$3F                    ;2
       ORA    LFE63,Y                 ;4
       STA    $BB,X                   ;4
       PLA                            ;4
       PLA                            ;4
LFB5B: RTS                            ;6

LFB5C: LDA    $C9                     ;3
       CMP    #$07                    ;2
       BEQ    LFB5B                   ;2
       LDY    $87                     ;3
       LDA    LFE13,Y                 ;4
       ROL                            ;2
       ROL                            ;2
       BPL    LFB5B                   ;2
       LDY    #$02                    ;2
       JMP    LFB44                   ;3
LFB70: LDY    $87                     ;3
       LDA    $C9                     ;3
       CMP    #$03                    ;2
       BNE    LFB7C                   ;2
       CPY    #$3E                    ;2
       BEQ    LFB5B                   ;2
LFB7C: DEY                            ;2
       LDA    LFE13,Y                 ;4
       BMI    LFB5B                   ;2
       LDY    #$01                    ;2
       JMP    LFB44                   ;3
LFB87: LDY    $87                     ;3
       LDA    $C9                     ;3
       CMP    #$03                    ;2
       BNE    LFB93                   ;2
       CPY    #$38                    ;2
       BEQ    LFB5B                   ;2
LFB93: INY                            ;2
       INY                            ;2
       LDA    LFE13,Y                 ;4
       BMI    LFB5B                   ;2
       LDY    #$00                    ;2
       JMP    LFB44                   ;3
LFB9F: LDX    #$13                    ;2
LFBA1: LDA    $88,X                   ;4
       LDY    $9C,X                   ;4
       STA    $9C,X                   ;4
       STY    $88,X                   ;4
       DEX                            ;2
       BPL    LFBA1                   ;2
       RTS                            ;6

LFBAD: LDY    #$00                    ;2
       LDA    $B6,X                   ;4
       BEQ    LFBBB                   ;2
LFBB3: INY                            ;2
       SEC                            ;2
       SBC    #$0A                    ;2
       BEQ    LFBBB                   ;2
       BPL    LFBB3                   ;2
LFBBB: STY    $C9                     ;3
       STA    $85                     ;3
       LDA    $B1,X                   ;4
       AND    #$03                    ;2
       STA    $86                     ;3
       LDA    $C9                     ;3
       LSR                            ;2
       PHP                            ;3
       LDA    $B1,X                   ;4
       LSR                            ;2
       LSR                            ;2
       PLP                            ;4
       BCC    LFBD3                   ;2
       CLC                            ;2
       ADC    #$28                    ;2
LFBD3: STA    $87                     ;3
       ASL                            ;2
       ASL                            ;2
       ROR    $C9                     ;5
       ORA    $C9                     ;3
       ROL    $C9                     ;5
       STA    $EE                     ;3
       RTS                            ;6

LFBE0: LDA    $CB                     ;3
       ASL                            ;2
       EOR    $CB                     ;3
       ASL                            ;2
       ASL                            ;2
       ROL    $CB                     ;5
       LDA    $CB                     ;3
       AND    #$07                    ;2
       TAY                            ;2
       LDA    LFE6A,Y                 ;4
       AND    $CB                     ;3
       RTS                            ;6

LFBF4: LDA    #$09                    ;2
       STA    $AF                     ;3
       LDA    #$0A                    ;2
       STA    $9B                     ;3
       LDA    #$03                    ;2
       STA    $98                     ;3
       LDA    $84                     ;3
       SEC                            ;2
       SBC    #$02                    ;2
       AND    #$06                    ;2
       CLC                            ;2
       ADC    #$04                    ;2
       STA    $99                     ;3
LFC0C: LDX    #$0F                    ;2
       LDA    #$FF                    ;2
LFC10: STA    $88,X                   ;4
       DEX                            ;2
       BPL    LFC10                   ;2
       LDA    #$7F                    ;2
       STA    $8E                     ;3
       LDA    #$FE                    ;2
       STA    $8A                     ;3
       LDA    #$3C                    ;2
       STA    $9A                     ;3
LFC21: LDA    $E7                     ;3
       ORA    #$80                    ;2
       STA    $E7                     ;3
;       LDX    #$3C                    ;2 time (new life)
       LDX    #$20                    ;2 time (new life)

       LDA    $CC                     ;3
       ORA    $CE                     ;3
       ORA    $D0                     ;3
       BNE    LFC28                   ;2
       LDX    #$78                    ;2 time (new life w/tune)


LFC28:
       STX    $E4                     ;3 XXXXXXXXXXXXX

       LDX    #$04                    ;2
       LDA    #$4C                    ;2
LFC2F: STA    $B1,X                   ;4
       LDY    #$1E                    ;2
       STY    $B6,X                   ;4
       LDY    #$00                    ;2
       STY    $BB,X                   ;4
       DEX                            ;2
       BPL    LFC2F                   ;2
       LDA    #$3C                    ;2
       STA    $B6                     ;3
       LDA    #$80                    ;2
       STA    $BB                     ;3
       RTS                            ;6

LFC45: STX    $E1                     ;3
       LDX    #$00                    ;2
       LDA    $E6                     ;3
       BPL    LFC4E                   ;2
       INX                            ;2
LFC4E: SED                            ;2
       CLC                            ;2
       LDA    $CC,X                   ;4
       ADC    LFF06,Y                 ;4
       STA    $CC,X                   ;4
       LDA    $CE,X                   ;4
       ADC    LFF0C,Y                 ;4
       STA    $CE,X                   ;4
       LDA    $D0,X                   ;4
       ADC    #$00                    ;2
       STA    $D0,X                   ;4
       CLD                            ;2
       LDX    $E1                     ;3
       RTS                            ;6

LFC68: TXA                            ;2
       BEQ    LFC6D                   ;2
       LDA    #$40                    ;2
LFC6D: STA.wy $D2,Y                   ;5
       LDA    LFF1B,X                 ;4
       STA.wy $D3,Y                   ;5
       LDA    LFEEC,X                 ;4
       STA.wy $D4,Y                   ;5
       RTS                            ;6

LFC7D: LDA    #$00                    ;2
       LDX    #$05                    ;2
LFC81: STA    $CC,X                   ;4
       DEX                            ;2
       BPL    LFC81                   ;2
       STA    $98                     ;3
       STA    $AC                     ;3
       RTS                            ;6

LFC8B: LDA    $BB,X                   ;4
       AND    #$10                    ;2
       BNE    LFCA9                   ;2
       DEC    $B6,X                   ;6
       BNE    LFCFC                   ;2
       LDA    $BB,X                   ;4
       BMI    LFC9D                   ;2
       LDA    #$00                    ;2
       BEQ    LFC9F                   ;2
LFC9D: LDA    #$5B                    ;2
LFC9F: STA    $B6,X                   ;4
       LDA    $BB,X                   ;4
       ORA    #$10                    ;2
       STA    $BB,X                   ;4
       BNE    LFCFC                   ;2
LFCA9: LDA    $BB,X                   ;4
       ROL                            ;2
       BCS    LFD00                   ;2
       BPL    LFCE7                   ;2
       INC    $B6,X                   ;6
LFCB2: LDA    $B6,X                   ;4
       CMP    #$0B                    ;2
       BNE    LFCCA                   ;2
       LDA    #$00                    ;2
       STA    $B6,X                   ;4
       LDA    #$0B                    ;2
       STA.wy $D8,Y                   ;5
       LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$80                    ;2
       STA    $BB,X                   ;4
       RTS                            ;6

LFCCA: CMP    #$06                    ;2
       BPL    LFCE1                   ;2
       STA.wy $DB,Y                   ;5
       TAX                            ;2
       CLC                            ;2
       LDA    LFF0D,X                 ;4
       LDX    LFF19,Y                 ;4
       ADC    $DD,X                   ;4
       STA    $DD,X                   ;4
       LDA    #$08                    ;2
       BNE    LFCE3                   ;2
LFCE1: LDA    $B6,X                   ;4
LFCE3: STA.wy $D8,Y                   ;5
       RTS                            ;6

LFCE7: INC    $B6,X                   ;6
       LDA    #$5B                    ;2
       CMP    $B6,X                   ;4
       BNE    LFCE1                   ;2
       LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$60                    ;2
       STA    $BB,X                   ;4
LFCF7: LDA    LFF25,Y                 ;4
       STA    $B6,X                   ;4
LFCFC: LDA    #$70                    ;2
       BNE    LFCE3                   ;2
LFD00: BMI    LFD18                   ;2
       DEC    $B6,X                   ;6
       LDA    #$51                    ;2
       CMP    $B6,X                   ;4
       BNE    LFCE1                   ;2
       LDA    #$46                    ;2
       STA    $B6,X                   ;4
       LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$C0                    ;2
       STA    $BB,X                   ;4
       BNE    LFCFC                   ;2
LFD18: DEC    $B6,X                   ;6
       BPL    LFCB2                   ;2
       LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$A0                    ;2
       STA    $BB,X                   ;4
       BNE    LFCF7                   ;2
LFD26: LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$30                    ;2
       STA    $BB,X                   ;4
       LDA    #$51                    ;2
       BNE    LFD3C                   ;2
LFD32: LDA    $BB,X                   ;4
       AND    #$0F                    ;2
       ORA    #$F0                    ;2
       STA    $BB,X                   ;4
       LDA    #$0B                    ;2
LFD3C: STA    $B6,X                   ;4
       RTS                            ;6





START:
       CLD                            ;2
       SEI                            ;2
       LDX    #$FF                    ;2
       TXS                            ;2
       INX                            ;2
       TXA                            ;2
LF007: STA    VSYNC,X                 ;4
       INX                            ;2
       BNE    LF007                   ;2
       LDA    #$06                    ;2
       STA    $84                     ;3
       ASL                            ;2
       STA    $EC                     ;3
       DEX                            ;2
       STX    $82                     ;3
       STX    $CB                     ;3
       JSR    LFBF4                   ;6
       LDA    #$CB                    ;2
       STA    $CC                     ;3
       LSR                            ;2
       STA    $B6                     ;3
       LDA    #$ED                    ;2
       STA    $CE                     ;3
       LDA    #$0F                    ;2
       STA    $D0                     ;3
       LDX    #$04                    ;2
LF02C: STA    $C0,X                   ;4
       DEX                            ;2
       BNE    LF02C                   ;2
       STA    WSYNC                   ;3
       LDA    #$F0                    ;2
       STA    HMM1                    ;3 <-missile 1 used for fruit
       LDA    #$80                    ;2
       STA    HMBL                    ;3
       LDX    #$06                    ;2
LF03D: DEX                            ;2
       BNE    LF03D                   ;2
       STA    RESBL                   ;3
       STA    RESM1                   ;3
       STA    WSYNC                   ;3
       STA    HMOVE                   ;3
       STA    WSYNC                   ;3
       STA    HMCLR                   ;3
       STX    $E7                     ;3
       STX    $98                     ;3
       JMP    LF7D6                   ;3









LFF43: LDA    LFFE9,Y                 ;4
       AND    $E8                     ;3
       BNE    LFF54                   ;2
       LDA    LFE6E,Y                 ;4
       STA    $E8                     ;3
       LDA    LFFED,Y                 ;4
       STA    $E9                     ;3
LFF54: RTS                            ;6

LFF55: LDA    $E8                     ;3
       LSR                            ;2
       BCC    LFF67                   ;2
       LDA    #$04                    ;2
       STA    $D3                     ;3
       LDA    $E9                     ;3
       AND    #$1F                    ;2
       TAY                            ;2
       EOR    #$0F                    ;2
       BCS    LFF82                   ;2
LFF67: LSR                            ;2
       BCC    LFF6E                   ;2
LFF6A: LDA    #$0D                    ;2
       BNE    LFF7F                   ;2
LFF6E: LSR                            ;2
       BCC    LFF74                   ;2
       JMP    LFF6A                   ;3
LFF74: LSR                            ;2
       BCC    LFF93                   ;2
       LDY    #$09                    ;2
       STY    $D3                     ;3
       LDA    $E9                     ;3
       BNE    LFF82                   ;2
LFF7F: TAY                            ;2
       STA    $D3                     ;3
LFF82: DEC    $E9,X                   ;6
       BNE    LFF8B                   ;2 ;energizer boop
       LDA    #$00                    ;2
       STA    $E8                     ;3
       RTS                            ;6



LFF8B: STA    AUDV0                   ;3 save sound effect (global)
       LDA    $D3                     ;3
       STA    AUDC0                   ;3
       STY    AUDF0                   ;3
LFF93: RTS                            ;6




LFF94: LDA    #$08                    ;2
       BIT    $E7                     ;3
       BVC    LFFA6                   ;2
;death sound
       LDA    $E4                     ;3
       STA    AUDV0                   ;3
       LSR                            ;2
       STA    AUDF0                   ;3
       LDA    #$04                    ;2
       STA    AUDC0                   ;3
       RTS                            ;6

LFFA6: BEQ    LFFD3                   ;2
       LDA    $E4                     ;3
       BNE    LFFB2                   ;2
       LDA    #$F7                    ;2
       AND    $E7                     ;3
       STA    $E7                     ;3
LFFB2:
;music
       TAX                            ;2
       LDA    $CC                     ;3
       ORA    $CE                     ;3
       ORA    $D0                     ;3
       BNE    LFFD3                   ;2 skip if any points exist
;PlayTune:
       TXA                            ;2
       LSR                            ;2
       LSR                            ;2
       AND    #$1F                    ;2
       EOR    #$1F                    ;2
       TAX                            ;2
       BEQ    LFFE7                   ;2


       LDA    CH0,X                   ;4
       BEQ    Chn0                    ;2
       STA    AUDF0                   ;3
       LDA    #$04                    ;2
       STA    AUDC0                   ;3
       ASL                            ;2
       STA    AUDV0                   ;3
Chn0:
       LDA    CH1,X                   ;4
       BEQ    Chn1                    ;2
       STA    AUDF1                   ;3
       LDA    #$04                    ;2
       STA    AUDC1                   ;3
       ASL                            ;2
       STA    AUDV1                   ;3
Chn1:
       RTS                            ;6














LFFD3:
       LDA    $80                     ;3
       AND    #$1F                    ;3
       TAY                            ;2
       STA    $D3                     ;3
       LDA    SirenData,Y             ;4
       TAY                            ;2
       LDA    $9A                     ;3
       BMI    bluetime                ;2
       LDA    $E4                     ;3
       BNE    LFF9X                   ;2
LFF8C:
       LDA    #$05                    ;3
       STA    AUDV1                   ;3
       STA    AUDC1                   ;3
       STY    AUDF1                   ;3
LFF9X: RTS                            ;6
bluetime:
       LDA    $BC                     ;3
       ORA    $BD                     ;3
       ORA    $BE                     ;3
       ORA    $BF                     ;3
       AND    #$08                    ;2
       BEQ    NoEyeSound              ;2 branch if any are not eyes
       LDA    $D3                     ;3
       EOR    #$1F                    ;2
       AND    #$0E                    ;2
       TAY                            ;2
       BPL    LFF8C                   ;2
NoEyeSound:
       TYA                            ;2
       AND    #$07                    ;3
;       EOR    $D3                     ;2
       EOR    $E4                     ;2 energizer time
       TAY                            ;2
       JMP    LFF8C                   ;2


LFFE7:
       LDA    #$F7                    ;2
       AND    $E7                     ;3
       STA    $E7                     ;3
LFFE8: RTS                            ;6







SirenData:
       .byte $1B ;0108 |    XXX |
       .byte $1B ;0109 |      XX|
       .byte $1B ;010a |      XX|
       .byte $1B ;010b |    XXXX|
       .byte $1C ;010c |      XX|
       .byte $1C ;010d |    X XX|
       .byte $1C ;010e |      XX|
       .byte $1C ;010f |     XXX|
       .byte $1D ;0110 |     XX |
       .byte $1D ;0111 |      XX|
       .byte $1D ;0112 |      XX|
       .byte $1D ;0113 |    XX X|
       .byte $1E ;0114 |        |
       .byte $1E ;0115 |     XX |
       .byte $1E ;0116 |      XX|
       .byte $1E ;0117 |    X  X|
       .byte $1F ;0118 |        |
       .byte $1F ;0119 |        |
       .byte $1F ;011a |        |
       .byte $1F ;011b |    XX  |
       .byte $1E ;011c |        |
       .byte $1E ;011d |    X X |
       .byte $1E ;011e |      XX|
       .byte $1E ;011f |     XXX|
       .byte $1D ;0118 |        |
       .byte $1D ;0119 |        |
       .byte $1D ;011a |        |
       .byte $1D ;011b |    XX  |
       .byte $1C ;011c |        |
       .byte $1C ;011d |    XX  |
       .byte $1C ;011e |        |
       .byte $1C ;011f |    X X |

CH0:
       .byte $00
       .byte $1D
       .byte $0E
       .byte $13
       .byte $17
       .byte $0E
       .byte $13
       .byte $17
       .byte $00
       .byte $1C
       .byte $0D
       .byte $12
       .byte $16
       .byte $0D
       .byte $12
       .byte $16
       .byte $00
       .byte $1D
       .byte $0E
       .byte $13
       .byte $17
       .byte $0E
       .byte $13
       .byte $17
       .byte $00
       .byte $17
       .byte $15
       .byte $13
       .byte $15
       .byte $13
       .byte $11
       .byte $0E


CH1:
       .byte $00
       .byte $1F
       .byte $00
       .byte $00
       .byte $14
       .byte $1F
       .byte $00
       .byte $00
       .byte $14
       .byte $1E
       .byte $00
       .byte $00
       .byte $13
       .byte $1E
       .byte $00
       .byte $00
       .byte $13
       .byte $1F
       .byte $00
       .byte $00
       .byte $14
       .byte $1F
       .byte $00
       .byte $00
       .byte $14
       .byte $15
       .byte $00
       .byte $12
       .byte $00
       .byte $10
       .byte $00
       .byte $0F


       ORG $2F11
       RORG $FF11

;original "music" data
LFFF1:
       .byte $08 ; |    X   | $FFF1
       .byte $04 ; |     X  | $FFF2
       .byte $0C ; |    XX  | $FFF3
       .byte $04 ; |     X  | $FFF4
LFFF5:
       .byte $14 ; |   X X  | $FFF5
       .byte $18 ; |   XX   | $FFF6
       .byte $14 ; |   X X  | $FFF7
       .byte $18 ; |   XX   | $FFF8

LFEEC: .byte $00 ; |        | $FEEC
       .byte $00 ; |        | $FEED
       .byte $00 ; |        | $FEEE
       .byte $00 ; |        | $FEEF
       .byte $00 ; |        | $FEF0
       .byte $00 ; |        | $FEF1
       .byte $01 ; |       X| $FEF2
       .byte $05 ; |     X X| $FEF3
       .byte $15 ; |   X X X| $FEF4
       .byte $55 ; | X X X X| $FEF5

;pacman GFX addresses
LFDC2: .byte <RPac1gfx
       .byte <RPac2gfx
       .byte <RPac3gfx
       .byte <RPac4gfx
       .byte <RPac5gfx
       .byte <RPac4gfx
       .byte <RPac3gfx
       .byte <RPac2gfx

ColorTbl:
       .byte $28 ; |XXXXXX  | $FF2B Clyde
       .byte $38 ; |XXX XX  | $FF2C Blinky
       .byte $88 ; |XX XXX  | $FF2D Inky
       .byte $58 ; |XX  XX  | $FF2E Pinky
       .byte $84 ; | XXXX X | $FF2F blue color
       .byte $0E ; | X XX X | $FF30 flash color
       .byte $1A ; |XXXXX XX| $FF31 pacman color
       .byte $00 ; |X    X  | $FF32
       .byte $80 ; |XXXX XXX| $FF33
       .byte $44 ; | X   X  | $FF34
       .byte $C6 ; |XX   X  | $FF35
BwTbl:
       .byte $08 ; |   X X  | $FFF5
       .byte $08 ; |   XX   | $FFF6
       .byte $08 ; |   X X  | $FFF7
       .byte $08 ; |   XX   | $FFF8
       .byte $04 ; |    X  X| $FF3A
       .byte $0E ; |     X  | $FF3B
       .byte $0A ; |    XXXX| $FF3C
       .byte $00 ; |        | $FF3D
       .byte $07 ; |     XXX| $FF3E
       .byte $04 ; |     X  | $FF3F
       .byte $06 ; |    X X | $FF40

;death animation
LFDFA: .byte <Death14gfx
       .byte <Death13gfx
       .byte <Death12gfx
       .byte <Death11gfx
       .byte <Death11gfx
       .byte <Death10gfx
       .byte <Death9gfx
       .byte <Death8gfx
       .byte <Death7gfx
       .byte <Death6gfx
       .byte <Death5gfx
       .byte <Death4gfx
       .byte <Death3gfx
       .byte <Death2gfx
       .byte <Death1gfx
       .byte <Death1gfx

LFE13: .byte $80 ; |X       | $FE13
       .byte $20 ; |  X     | $FE14
       .byte $01 ; |       X| $FE15
       .byte $00 ; |        | $FE16
       .byte $45 ; | X   X X| $FE17
       .byte $00 ; |        | $FE18
       .byte $29 ; |  X X  X| $FE19
       .byte $00 ; |        | $FE1A
       .byte $0D ; |    XX X| $FE1B
       .byte $60 ; | XX     | $FE1C
       .byte $11 ; |   X   X| $FE1D
       .byte $00 ; |        | $FE1E
       .byte $15 ; |   X X X| $FE1F
       .byte $20 ; |  X     | $FE20
       .byte $00 ; |        | $FE21
       .byte $80 ; |X       | $FE22
       .byte $60 ; | XX     | $FE23
       .byte $19 ; |   XX  X| $FE24
       .byte $00 ; |        | $FE25
       .byte $1D ; |   XXX X| $FE26
       .byte $03 ; |      XX| $FE27
       .byte $00 ; |        | $FE28
       .byte $67 ; | XX  XXX| $FE29
       .byte $00 ; |        | $FE2A
       .byte $80 ; |X       | $FE2B
       .byte $20 ; |  X     | $FE2C
       .byte $0B ; |    X XX| $FE2D
       .byte $00 ; |        | $FE2E
       .byte $00 ; |        | $FE2F
       .byte $6F ; | XX XXXX| $FE30
       .byte $00 ; |        | $FE31
       .byte $13 ; |   X  XX| $FE32
       .byte $20 ; |  X     | $FE33
       .byte $17 ; |   X XXX| $FE34
       .byte $40 ; | X      | $FE35
       .byte $1B ; |   XX XX| $FE36
       .byte $00 ; |        | $FE37
       .byte $3F ; |  XXXXXX| $FE38
       .byte $00 ; |        | $FE39
       .byte $80 ; |X       | $FE3A
       .byte $80 ; |X       | $FE3B
       .byte $40 ; | X      | $FE3C
       .byte $01 ; |       X| $FE3D
       .byte $00 ; |        | $FE3E
       .byte $25 ; |  X  X X| $FE3F
       .byte $00 ; |        | $FE40
       .byte $49 ; | X  X  X| $FE41
       .byte $00 ; |        | $FE42
       .byte $80 ; |X       | $FE43
       .byte $60 ; | XX     | $FE44
       .byte $0D ; |    XX X| $FE45
       .byte $00 ; |        | $FE46
       .byte $11 ; |   X   X| $FE47
       .byte $40 ; | X      | $FE48
       .byte $15 ; |   X X X| $FE49
       .byte $00 ; |        | $FE4A
       .byte $79 ; | XXXX  X| $FE4B
       .byte $00 ; |        | $FE4C
       .byte $1D ; |   XXX X| $FE4D
       .byte $00 ; |        | $FE4E
       .byte $00 ; |        | $FE4F
       .byte $03 ; |      XX| $FE50
       .byte $60 ; | XX     | $FE51
       .byte $07 ; |     XXX| $FE52
       .byte $00 ; |        | $FE53
       .byte $4B ; | X  X XX| $FE54
       .byte $00 ; |        | $FE55
       .byte $0F ; |    XXXX| $FE56
       .byte $00 ; |        | $FE57
       .byte $73 ; | XXX  XX| $FE58
       .byte $00 ; |        | $FE59
       .byte $80 ; |X       | $FE5A
       .byte $40 ; | X      | $FE5B
       .byte $17 ; |   X XXX| $FE5C
       .byte $20 ; |  X     | $FE5D
       .byte $1B ; |   XX XX| $FE5E
       .byte $00 ; |        | $FE5F
       .byte $5F ; | X XXXXX| $FE60
       .byte $00 ; |        | $FE61
       .byte $80 ; |X       | $FE62

LFE63: .byte $10 ; |   X    | $FE63
       .byte $50 ; | X X    | $FE64
       .byte $90 ; |X  X    | $FE65
       .byte $D0 ; |XX X    | $FE66
LFE67: .byte $40 ; | X      | $FE67
       .byte $00 ; |        | $FE68
       .byte $C0 ; |XX      | $FE69
LFE6A: .byte $80 ; |X       | $FE6A(shared)
       .byte $40 ; | X      | $FE6B
LFE6C: .byte $20 ; |  X     | $FE6C
       .byte $10 ; |   X    | $FE6D
LFE6E: .byte $08 ; |    X   | $FE6E
LFE6F: .byte $04 ; |     X  | $FE6F
       .byte $02 ; |      X | $FE70
       .byte $01 ; |       X| $FE71
       .byte $02 ; |      X | $FE72
       .byte $03 ; |      XX| $FE73
       .byte $05 ; |     X X| $FE74
       .byte $07 ; |     XXX| $FE75
       .byte $08 ; |    X   | $FE76
       .byte $0A ; |    X X | $FE77
       .byte $0C ; |    XX  | $FE78
LFE79: .byte $08 ; |    X   | $FE79
       .byte $0C ; |    XX  | $FE7A
       .byte $03 ; |      XX| $FE7B
       .byte $07 ; |     XXX| $FE7C
       .byte $0B ; |    X XX| $FE7D
       .byte $0F ; |    XXXX| $FE7E
       .byte $02 ; |      X | $FE7F
       .byte $06 ; |     XX | $FE80
       .byte $0A ; |    X X | $FE81
       .byte $0E ; |    XXX | $FE82
       .byte $01 ; |       X| $FE83
       .byte $05 ; |     X X| $FE84
       .byte $09 ; |    X  X| $FE85
       .byte $0D ; |    XX X| $FE86
       .byte $00 ; |        | $FE87
       .byte $04 ; |     X  | $FE88

LFF06: .byte $20 ; |  X     | $FF06
       .byte $40 ; | X      | $FF07
       .byte $80 ; |X       | $FF08
       .byte $60 ; | XX     | $FF09
       .byte $01 ; |       X| $FF0A
       .byte $05 ; |     X X| $FF0B
LFF0C: .byte $00 ; |        | $FF0C
LFF0D: .byte $00 ; |        | $FF0D
       .byte $00 ; |        | $FF0E
       .byte $01 ; |       X| $FF0F
       .byte $00 ; |        | $FF10
       .byte $00 ; |        | $FF11
       .byte $01 ; |       X| $FF12
       .byte $06 ; |     XX | $FF13
       .byte $05 ; |     X X| $FF14
       .byte $04 ; |     X  | $FF15
       .byte $03 ; |      XX| $FF16
       .byte $02 ; |      X | $FF17
       .byte $01 ; |       X| $FF18
LFF19: .byte $00 ; |        | $FF19
       .byte $02 ; |      X | $FF1A
LFF1B: .byte $00 ; |        | $FF1B
       .byte $00 ; |        | $FF1C
       .byte $80 ; |X       | $FF1D
       .byte $A0 ; |X X     | $FF1E
       .byte $A8 ; |X X X   | $FF1F
       .byte $AA ; |X X X X | $FF20
       .byte $AA ; |X X X X | $FF21
       .byte $AA ; |X X X X | $FF22
       .byte $AA ; |X X X X | $FF23
       .byte $AA ; |X X X X | $FF24
LFF25: .byte $10 ; |   X    | $FF25
       .byte $40 ; | X      | $FF26
       .byte $08 ; |    X   | $FF27
       .byte $0A ; |    X X | $FF28
       .byte $0C ; |    XX  | $FF29
       .byte $0E ; |    XXX | $FF2A

LFFE9: .byte $07 ; |     XXX| $FFE9
       .byte $03 ; |      XX| $FFEA
       .byte $01 ; |       X| $FFEB
       .byte $00 ; |        | $FFEC
LFFED: .byte $09 ; |    X  X| $FFED
       .byte $18 ; |   XX   | $FFEE
       .byte $10 ; |   X    | $FFEF
       .byte $30 ; |  XX    | $FFF0

EyeMov:
       .byte $01 ; |   X X  | $FFF5
       .byte $02 ; |   XX   | $FFF6
       .byte $03 ; |   X X  | $FFF7
       .byte $00 ; |   XX   | $FFF8

       ORG $2FF8
       RORG $FFF8

       .word 0,0,START,0
